User account creation filtered due to spam.

Bug 28080 - header dependencies
Summary: header dependencies
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: libstdc++ (show other bugs)
Version: 4.1.2
: P3 enhancement
Target Milestone: 4.3.0
Assignee: Paolo Carlini
URL:
Keywords:
: 30945 (view as bug list)
Depends on:
Blocks:
 
Reported: 2006-06-19 07:15 UTC by André Wöbbeking
Modified: 2007-03-11 12:07 UTC (History)
4 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2006-06-19 09:29:47


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description André Wöbbeking 2006-06-19 07:15:03 UTC
Hi,

could you clean up the header dependencies? E.g. a simple

#include <memory>

int main()
{
    return 0;
}

produces 250kb preprocessed output. So the usage of STL slows down compilation considerable.


Cheers,
André
Comment 1 Paolo Carlini 2006-06-19 09:29:47 UTC
Ok, let's see what we can do...
Comment 2 Andrew Pinski 2006-06-19 16:56:50 UTC
Specificly it was fixed by:
2005-11-24  Bruce Korb  <bkorb@gnu.org>

        * fixincl.c(write_replacement) "here strings" in AutoGen often/generally
        don't have a terminating newline.  Check the last byte for '\n'.


Comment 3 Andrew Pinski 2006-06-19 16:57:12 UTC
Woops wrong bug.
Comment 4 André Wöbbeking 2006-06-19 17:58:13 UTC
Subject: Re:  header dependencies

On Monday 19 June 2006 11:29, pcarlini at suse dot de wrote:
> ------- Comment #1 from pcarlini at suse dot de  2006-06-19 09:29
> Ok, let's see what we can do...

Wow, fast reply! I hope you're successful :-) Maybe you could look at 
STLPort 5.x, AFAIK it's "more" efficient in this case. It also has 
other nice features like:

- STL containers vector, deque, list and slist pointer specialization to 
limit code bloats (see _STLP_USE_PTR_SPECIALIZATIONS on config file); 
 
- Expression template for string concatenation operations (available 
through the _STLP_USE_TEMPLATE_EXPRESSION config option); 


Cheers,
André
Comment 5 Paolo Carlini 2006-06-19 18:05:41 UTC
(In reply to comment #4)
> Wow, fast reply! I hope you're successful :-) Maybe you could look at 
> STLPort 5.x, AFAIK it's "more" efficient in this case. It also has 
> other nice features like:

Ok, thanks, but certainly we are not going to look inside the headers, plagiarism doesn't seem the way to go...

Comment 6 Andrew Pinski 2006-06-23 04:59:15 UTC
When I acidently closed this bug, I set Target Milestone, which I am fixing right now.
Comment 7 Chris Jefferson 2006-06-23 15:33:20 UTC
(In reply to comment #4)
> Subject: Re:  header dependencies
> 
> On Monday 19 June 2006 11:29, pcarlini at suse dot de wrote:
> > ------- Comment #1 from pcarlini at suse dot de  2006-06-19 09:29
> > Ok, let's see what we can do...
> 
> Wow, fast reply! I hope you're successful :-) Maybe you could look at 
> STLPort 5.x, AFAIK it's "more" efficient in this case. It also has 
> other nice features like:
> 
> - STL containers vector, deque, list and slist pointer specialization to 
> limit code bloats (see _STLP_USE_PTR_SPECIALIZATIONS on config file); 
> 

I haven't looked at STLPort's implemenetation of this. However, this will make the problem of too much preprocessed source worse, not better, as it will involve more code, although the eventual executable might be smaller.

I did implement a version of this myself, basically by writing a mapper around each container that did a few static_casts and mapped the functions to a void* version of the container. However, having a whole new bunch of inline functions causes problems for the compiler, without providing (as far as I could measure) significant reductions in the size of the executable.
Comment 8 Gabriel Dos Reis 2006-06-23 16:35:40 UTC
Subject: Re:  header dependencies

"chris at bubblescope dot net" <gcc-bugzilla@gcc.gnu.org> writes:

| I did implement a version of this myself, basically by writing a
| mapper around each container that did a few static_casts and mapped
| the functions to a void* version of the container. However, having a
| whole new bunch of inline functions causes problems for the
| compiler, without providing (as far as I could measure) 
| significant reductions in the size of the executable.

I'm not surprised.  We should be very cautious about increasing
abstraction penablty for the benefit of marginal reduction on header
dependencies.  Runtime performance of the library should not be
under-emphasized. 

-- Gaby
Comment 9 Chris Jefferson 2006-06-23 16:47:54 UTC
I just tried preprocessing vector, as an example. There isn't any obvious low-hanging fruit. The major problem is that most of the C standard libary ends up getting dragged in.

I think a better goal would be to make precompiled headers easier to use, and inform users about them, although obviously cutting down on headers would still be a good goal.
Comment 10 Paolo Carlini 2007-02-17 17:34:15 UTC
I have some improvements in testing...
Comment 11 André Wöbbeking 2007-02-17 20:42:01 UTC
Subject: Re:  header dependencies

On Saturday 17 February 2007, pcarlini at suse dot de wrote:
> I have some improvements in testing...

Nice to hear :-)
Comment 12 paolo@gcc.gnu.org 2007-02-18 11:33:03 UTC
Subject: Bug 28080

Author: paolo
Date: Sun Feb 18 11:32:44 2007
New Revision: 122089

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=122089
Log:
2007-02-18  Paolo Carlini  <pcarlini@suse.de>

	PR libstdc++/28080 (partial)
	* include/bits/stl_algobase.h: Do not include <climits>, use
	std::numeric_limits.
	* include/bits/stl_bvector.h: Use __CHAR_BIT__.
	* config/locale/gnu/codecvt_members.cc: Include <climits>.
	* config/locale/generic/codecvt_members.cc: Likewise.
	* include/std/string: Do not include <algorithm>; do not include
	<memory>, include <bits/allocator.h> instead.
	* include/ext/vstring_fwd.h: Likewise.
	* include/ext/vstring_util.h: Do not include <algorithm>.
	* include/tr1/hashtable_policy.h: Include <algorithm>.
	* testsuite/21_strings/basic_string/replace/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/replace/wchar_t/1.cc: Likewise.
	* testsuite/23_containers/bitset/cons/1.cc: Likewise.
	* testsuite/util/testsuite_character.h: Likewise.

	* config/locale/gnu/codecvt_members.cc: Also include <cstdlib>,
	for MB_CUR_MAX.
	* config/locale/generic/codecvt_members.cc: Likewise.

Modified:
    trunk/libstdc++-v3/ChangeLog
    trunk/libstdc++-v3/config/locale/generic/codecvt_members.cc
    trunk/libstdc++-v3/config/locale/gnu/codecvt_members.cc
    trunk/libstdc++-v3/include/bits/stl_algobase.h
    trunk/libstdc++-v3/include/bits/stl_bvector.h
    trunk/libstdc++-v3/include/ext/vstring_fwd.h
    trunk/libstdc++-v3/include/ext/vstring_util.h
    trunk/libstdc++-v3/include/std/string
    trunk/libstdc++-v3/include/tr1/hashtable_policy.h
    trunk/libstdc++-v3/testsuite/21_strings/basic_string/replace/char/1.cc
    trunk/libstdc++-v3/testsuite/21_strings/basic_string/replace/wchar_t/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/bitset/cons/1.cc
    trunk/libstdc++-v3/testsuite/util/testsuite_character.h

Comment 13 Benjamin Kosnik 2007-02-20 18:15:54 UTC
Subject: Bug 28080

Author: bkoz
Date: Tue Feb 20 18:15:01 2007
New Revision: 122168

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=122168
Log:
 2007-02-20  Benjamin Kosnik  <bkoz@redhat.com>

	Revamp library API testing.
	Added:
	* 17_intro/headers
	* 17_intro/headers/all_assert_neg.cc
	* 17_intro/headers/all_c++200x_compatibility.cc
	* 17_intro/headers/all.cc
	* 17_intro/headers/c++1998
	* 17_intro/headers/c++1998/all.cc
	* 17_intro/headers/c++1998/all_multiple_inclusion.cc
	* 17_intro/headers/c++1998/c++_for_c.tar
	* 17_intro/headers/c++1998/c++.tar
	* 17_intro/using_namespace_std.cc
	* 18_support/headers
	* 18_support/headers/cfloat
	* 18_support/headers/cfloat/values.cc
	* 18_support/headers/climits
	* 18_support/headers/climits/values.cc
	* 18_support/headers/csetjmp
	* 18_support/headers/csetjmp/functions_std.cc
	* 18_support/headers/csetjmp/macros.cc
	* 18_support/headers/csetjmp/types_std.cc
	* 18_support/headers/csignal
	* 18_support/headers/csignal/functions_std.cc
	* 18_support/headers/csignal/macros.cc
	* 18_support/headers/csignal/types_std.cc
	* 18_support/headers/cstdarg
	* 18_support/headers/cstdarg/macros.cc
	* 18_support/headers/cstdarg/types_std.cc
	* 18_support/headers/cstddef
	* 18_support/headers/cstddef/macros.cc
	* 18_support/headers/cstddef/types_std.cc
	* 18_support/headers/cstdlib
	* 18_support/headers/cstdlib/functions_std.cc
	* 18_support/headers/cstdlib/macros.cc
	* 18_support/headers/ctime
	* 18_support/headers/ctime/functions_std.cc
	* 18_support/headers/ctime/macros.cc
	* 18_support/headers/ctime/types_std.cc
	* 18_support/headers/exception
	* 18_support/headers/exception/synopsis.cc
	* 18_support/headers/exception/types_std.cc
	* 18_support/headers/limits
	* 18_support/headers/limits/synopsis.cc
	* 18_support/headers/new
	* 18_support/headers/new/synopsis.cc
	* 18_support/headers/new/types_std.cc
	* 18_support/headers/typeinfo
	* 18_support/headers/typeinfo/synopsis.cc
	* 18_support/headers/typeinfo/types_std.cc
	* 18_support/numeric_limits/is_signed.cc
	* 18_support/numeric_limits/requirements
	* 18_support/numeric_limits/requirements/explicit_instantiation
	* 18_support/numeric_limits/requirements/explicit_instantiation/1.cc
	* 18_support/numeric_limits/specialization_default_values.cc
	* 19_diagnostics/headers
	* 19_diagnostics/headers/cassert
	* 19_diagnostics/headers/cassert/macros.cc
	* 19_diagnostics/headers/cerrno
	* 19_diagnostics/headers/cerrno/macros.cc
	* 19_diagnostics/headers/stdexcept
	* 19_diagnostics/headers/stdexcept/synopsis.cc
	* 19_diagnostics/headers/stdexcept/types_std.cc
	* 20_util/headers
	* 20_util/headers/cstdlib
	* 20_util/headers/cstdlib/functions_std.cc
	* 20_util/headers/cstring
	* 20_util/headers/cstring/functions_std.cc
	* 20_util/headers/cstring/macros.cc
	* 20_util/headers/cstring/types_std.cc
	* 20_util/headers/ctime
	* 20_util/headers/ctime/functions_std.cc
	* 20_util/headers/ctime/macros.cc
	* 20_util/headers/ctime/types_std.cc
	* 20_util/headers/functional
	* 20_util/headers/functional/synopsis.cc
	* 20_util/headers/memory
	* 20_util/headers/memory/synopsis.cc
	* 20_util/headers/utility
	* 20_util/headers/utility/synopsis.cc
	* 20_util/headers/utility/using_namespace_std_rel_ops.cc
	* 20_util/memory/allocator/requirements
	* 20_util/memory/allocator/requirements/explicit_instantiation
	* 20_util/memory/allocator/requirements/explicit_instantiation/1.cc
	* 20_util/memory/auto_ptr/requirements
	* 20_util/memory/auto_ptr/requirements/explicit_instantiation
	* 20_util/memory/auto_ptr/requirements/explicit_instantiation/1.cc
	* 20_util/memory/raw_storage_iterator
	* 20_util/memory/raw_storage_iterator/requirements
	* 20_util/memory/raw_storage_iterator/requirements/base_classes.cc
	* 20_util/memory/raw_storage_iterator/requirements/
	explicit_instantiation
	* 20_util/memory/raw_storage_iterator/requirements/
	explicit_instantiation/1.cc
	* 20_util/memory/raw_storage_iterator/requirements/typedefs.cc
	* 20_util/utility/pair/requirements
	* 20_util/utility/pair/requirements/explicit_instantiation
	* 20_util/utility/pair/requirements/explicit_instantiation/1.cc
	* 21_strings/basic_string/requirements
	* 21_strings/basic_string/requirements/explicit_instantiation
	* 21_strings/basic_string/requirements/explicit_instantiation/1.cc
	* 21_strings/basic_string/requirements/explicit_instantiation/debug.cc
	* 21_strings/headers
	* 21_strings/headers/cctype
	* 21_strings/headers/cctype/functions_std.cc
	* 21_strings/headers/cstdlib
	* 21_strings/headers/cstdlib/functions_std.cc
	* 21_strings/headers/cstdlib/macros.cc
	* 21_strings/headers/cstring
	* 21_strings/headers/cstring/functions_std.cc
	* 21_strings/headers/cstring/macros.cc
	* 21_strings/headers/cstring/types_std.cc
	* 21_strings/headers/cwchar
	* 21_strings/headers/cwchar/functions_std.cc
	* 21_strings/headers/cwchar/macros.cc
	* 21_strings/headers/cwchar/types_std.cc
	* 21_strings/headers/cwctype
	* 21_strings/headers/cwctype/functions_std.cc
	* 21_strings/headers/cwctype/macros.cc
	* 21_strings/headers/cwctype/types_std.cc
	* 21_strings/headers/string
	* 21_strings/headers/string/synopsis.cc
	* 21_strings/headers/string/types_std.cc
	* 22_locale/codecvt_byname/requirements
	* 22_locale/codecvt_byname/requirements/base_classes.cc
	* 22_locale/codecvt_byname/requirements/explicit_instantiation.cc
	* 22_locale/codecvt_byname/requirements/typedefs.cc
	* 22_locale/codecvt/requirements
	* 22_locale/codecvt/requirements/base_classes.cc
	* 22_locale/codecvt/requirements/explicit_instantiation.cc
	* 22_locale/codecvt/requirements/typedefs.cc
	* 22_locale/collate_byname/requirements
	* 22_locale/collate_byname/requirements/base_classes.cc
	* 22_locale/collate_byname/requirements/explicit_instantiation.cc
	* 22_locale/collate_byname/requirements/typedefs.cc
	* 22_locale/collate/requirements
	* 22_locale/collate/requirements/base_classes.cc
	* 22_locale/collate/requirements/explicit_instantiation.cc
	* 22_locale/collate/requirements/typedefs.cc
	* 22_locale/ctype_base/mask.cc
	* 22_locale/ctype/requirements
	* 22_locale/ctype/requirements/base_classes.cc
	* 22_locale/ctype/requirements/explicit_instantiation.cc
	* 22_locale/ctype/requirements/typedefs.cc
	* 22_locale/headers
	* 22_locale/headers/clocale
	* 22_locale/headers/clocale/functions_std.cc
	* 22_locale/headers/clocale/macros.cc
	* 22_locale/headers/clocale/types_std.cc
	* 22_locale/headers/locale
	* 22_locale/headers/locale/synopsis.cc
	* 22_locale/headers/locale/types_std.cc
	* 22_locale/messages_byname/requirements
	* 22_locale/messages_byname/requirements/base_classes.cc
	* 22_locale/messages_byname/requirements/explicit_instantiation.cc
	* 22_locale/messages_byname/requirements/typedefs.cc
	* 22_locale/messages/requirements
	* 22_locale/messages/requirements/base_classes.cc
	* 22_locale/messages/requirements/explicit_instantiation.cc
	* 22_locale/messages/requirements/typedefs.cc
	* 22_locale/money_get/cons
	* 22_locale/money_get/cons/3.cc
	* 22_locale/money_get/requirements
	* 22_locale/money_get/requirements/base_classes.cc
	* 22_locale/money_get/requirements/explicit_instantiations.cc
	* 22_locale/money_get/requirements/typedefs.cc
	* 22_locale/moneypunct_byname/requirements
	* 22_locale/moneypunct_byname/requirements/base_classes.cc
	* 22_locale/moneypunct_byname/requirements/explicit_instantiation.cc
	* 22_locale/moneypunct_byname/requirements/typedefs.cc
	* 22_locale/moneypunct/requirements
	* 22_locale/moneypunct/requirements/false
	* 22_locale/moneypunct/requirements/false/base_classes.cc
	* 22_locale/moneypunct/requirements/false/explicit_instantiation.cc
	* 22_locale/moneypunct/requirements/false/intl.cc
	* 22_locale/moneypunct/requirements/false/typedefs.cc
	* 22_locale/moneypunct/requirements/true
	* 22_locale/moneypunct/requirements/true/base_classes.cc
	* 22_locale/moneypunct/requirements/true/explicit_instantiation.cc
	* 22_locale/moneypunct/requirements/true/intl.cc
	* 22_locale/moneypunct/requirements/true/typedefs.cc
	* 22_locale/money_put/cons
	* 22_locale/money_put/cons/3.cc
	* 22_locale/money_put/requirements
	* 22_locale/money_put/requirements/base_classes.cc
	* 22_locale/money_put/requirements/explicit_instantiation.cc
	* 22_locale/money_put/requirements/typedefs.cc
	* 22_locale/num_get/cons
	* 22_locale/num_get/cons/3.cc
	* 22_locale/num_get/requirements
	* 22_locale/num_get/requirements/base_classes.cc
	* 22_locale/num_get/requirements/explicit_instantiation.cc
	* 22_locale/num_get/requirements/typedefs.cc
	* 22_locale/numpunct_byname/requirements
	* 22_locale/numpunct_byname/requirements/base_classes.cc
	* 22_locale/numpunct_byname/requirements/explicit_instantiations.cc
	* 22_locale/numpunct_byname/requirements/typedefs.cc
	* 22_locale/numpunct/requirements
	* 22_locale/numpunct/requirements/base_classes.cc
	* 22_locale/numpunct/requirements/explicit_instantiations.cc
	* 22_locale/numpunct/requirements/typedefs.cc
	* 22_locale/num_put/cons
	* 22_locale/num_put/cons/3.cc
	* 22_locale/num_put/requirements
	* 22_locale/num_put/requirements/base_classes.cc
	* 22_locale/num_put/requirements/explicit_instantiations.cc
	* 22_locale/num_put/requirements/typedefs.cc
	* 22_locale/time_get/requirements
	* 22_locale/time_get/requirements/base_classes.cc
	* 22_locale/time_get/requirements/explicit_instantiations.cc
	* 22_locale/time_get/requirements/typedefs.cc
	* 22_locale/time_put/requirements
	* 22_locale/time_put/requirements/base_classes.cc
	* 22_locale/time_put/requirements/explicit_instantiations.cc
	* 22_locale/time_put/requirements/typedefs.cc
	* 23_containers/bitset/requirements
	* 23_containers/bitset/requirements/explicit_instantiation
	* 23_containers/bitset/requirements/explicit_instantiation/1.cc
	* 23_containers/deque/requirements
	* 23_containers/deque/requirements/explicit_instantiation
	* 23_containers/deque/requirements/partial_specialization
	* 23_containers/deque/requirements/partial_specialization/1.cc
	* 23_containers/headers
	* 23_containers/headers/bitset
	* 23_containers/headers/bitset/synopsis.cc
	* 23_containers/headers/deque
	* 23_containers/headers/deque/synopsis.cc
	* 23_containers/headers/list
	* 23_containers/headers/list/synopsis.cc
	* 23_containers/headers/map
	* 23_containers/headers/map/synopsis.cc
	* 23_containers/headers/queue
	* 23_containers/headers/queue/synopsis.cc
	* 23_containers/headers/set
	* 23_containers/headers/set/synopsis.cc
	* 23_containers/headers/stack
	* 23_containers/headers/stack/synopsis.cc
	* 23_containers/headers/vector
	* 23_containers/headers/vector/synopsis.cc
	* 23_containers/list/requirements
	* 23_containers/list/requirements/explicit_instantiation
	* 23_containers/list/requirements/partial_specialization
	* 23_containers/list/requirements/partial_specialization/1.cc
	* 23_containers/map/requirements
	* 23_containers/map/requirements/explicit_instantiation
	* 23_containers/map/requirements/partial_specialization
	* 23_containers/map/requirements/partial_specialization/1.cc
	* 23_containers/multimap/requirements
	* 23_containers/multimap/requirements/explicit_instantiation
	* 23_containers/multimap/requirements/partial_specialization
	* 23_containers/multimap/requirements/partial_specialization/1.cc
	* 23_containers/multiset/requirements
	* 23_containers/multiset/requirements/explicit_instantiation
	* 23_containers/multiset/requirements/partial_specialization
	* 23_containers/multiset/requirements/partial_specialization/1.cc
	* 23_containers/priority_queue/requirements
	* 23_containers/priority_queue/requirements/explicit_instantiation
	* 23_containers/priority_queue/requirements/explicit_instantiation/1.cc
	* 23_containers/queue/requirements
	* 23_containers/queue/requirements/explicit_instantiation
	* 23_containers/queue/requirements/explicit_instantiation/1.cc
	* 23_containers/set/requirements
	* 23_containers/set/requirements/explicit_instantiation
	* 23_containers/set/requirements/partial_specialization
	* 23_containers/set/requirements/partial_specialization/1.cc
	* 23_containers/stack/requirements
	* 23_containers/stack/requirements/explicit_instantiation
	* 23_containers/stack/requirements/explicit_instantiation/1.cc
	* 23_containers/vector/requirements
	* 23_containers/vector/requirements/explicit_instantiation
	* 23_containers/vector/requirements/partial_specialization
	* 23_containers/vector/requirements/partial_specialization/1.cc
	* 24_iterators/back_insert_iterator
	* 24_iterators/back_insert_iterator/2.cc
	* 24_iterators/back_insert_iterator/requirements
	* 24_iterators/back_insert_iterator/requirements/base_classes.cc
	* 24_iterators/back_insert_iterator/requirements/container.cc
	* 24_iterators/back_insert_iterator/requirements/
	explicit_instantiation.cc
	* 24_iterators/back_insert_iterator/requirements/typedefs.cc
	* 24_iterators/front_insert_iterator
	* 24_iterators/front_insert_iterator/2.cc
	* 24_iterators/front_insert_iterator/requirements
	* 24_iterators/front_insert_iterator/requirements/base_classes.cc
	* 24_iterators/front_insert_iterator/requirements/container.cc
	* 24_iterators/front_insert_iterator/requirements/
	explicit_instantiation.cc
	* 24_iterators/front_insert_iterator/requirements/typedefs.cc
	* 24_iterators/headers
	* 24_iterators/headers/iterator
	* 24_iterators/headers/iterator/synopsis.cc
	* 24_iterators/headers/iterator/types_std.cc
	* 24_iterators/insert_iterator
	* 24_iterators/insert_iterator/2.cc
	* 24_iterators/insert_iterator/requirements
	* 24_iterators/insert_iterator/requirements/base_classes.cc
	* 24_iterators/insert_iterator/requirements/container.cc
	* 24_iterators/insert_iterator/requirements/explicit_instantiation.cc
	* 24_iterators/insert_iterator/requirements/typedefs.cc
	* 24_iterators/istreambuf_iterator/requirements
	* 24_iterators/istreambuf_iterator/requirements/base_classes.cc
	* 24_iterators/istreambuf_iterator/requirements/
	explicit_instantiation.cc
	* 24_iterators/istreambuf_iterator/requirements/typedefs.cc
	* 24_iterators/istream_iterator
	* 24_iterators/istream_iterator/2.cc
	* 24_iterators/istream_iterator/requirements
	* 24_iterators/istream_iterator/requirements/base_classes.cc
	* 24_iterators/istream_iterator/requirements/explicit_instantiation.cc
	* 24_iterators/istream_iterator/requirements/typedefs.cc
	* 24_iterators/ostreambuf_iterator/requirements
	* 24_iterators/ostreambuf_iterator/requirements/base_classes.cc
	* 24_iterators/ostreambuf_iterator/requirements/
	explicit_instantiation.cc
	* 24_iterators/ostreambuf_iterator/requirements/typedefs.cc
	* 24_iterators/ostream_iterator
	* 24_iterators/ostream_iterator/requirements
	* 24_iterators/ostream_iterator/requirements/base_classes.cc
	* 24_iterators/ostream_iterator/requirements/explicit_instantiation.cc
	* 24_iterators/ostream_iterator/requirements/typedefs.cc
	* 24_iterators/random_access_iterator
	* 24_iterators/random_access_iterator/26020.cc
	* 24_iterators/random_access_iterator/string_vector_iterators.cc
	* 24_iterators/reverse_iterator/requirements
	* 24_iterators/reverse_iterator/requirements/base_classes.cc
	* 24_iterators/reverse_iterator/requirements/current.cc
	* 24_iterators/reverse_iterator/requirements/explicit_instantiation.cc
	* 24_iterators/reverse_iterator/requirements/typedefs.cc
	* 25_algorithms/headers
	* 25_algorithms/headers/algorithm
	* 25_algorithms/headers/algorithm/synopsis.cc
	* 25_algorithms/headers/cstdlib
	* 25_algorithms/headers/cstdlib/functions_std.cc
	* 26_numerics/headers
	* 26_numerics/headers/cmath
	* 26_numerics/headers/cmath/19322.cc
	* 26_numerics/headers/cmath/c99_classification_macros_c.cc
	* 26_numerics/headers/cmath/c99_classification_macros_c++.cc
	* 26_numerics/headers/cmath/c_math.cc
	* 26_numerics/headers/cmath/c_math_dynamic.cc
	* 26_numerics/headers/cmath/fabs_inline.cc
	* 26_numerics/headers/cmath/functions_std.cc
	* 26_numerics/headers/cmath/macros.cc
	* 26_numerics/headers/cmath/overloads.cc
	* 26_numerics/headers/cmath/powi.cc
	* 26_numerics/headers/complex
	* 26_numerics/headers/complex/synopsis.cc
	* 26_numerics/headers/cstdlib
	* 26_numerics/headers/cstdlib/13943.cc
	* 26_numerics/headers/cstdlib/2190.cc
	* 26_numerics/headers/cstdlib/functions_std.cc
	* 26_numerics/headers/cstdlib/macros.cc
	* 26_numerics/headers/cstdlib/types_std.cc
	* 26_numerics/headers/numeric
	* 26_numerics/headers/numeric/synopsis.cc
	* 26_numerics/headers/valarray
	* 26_numerics/headers/valarray/synopsis.cc
	* 26_numerics/headers/valarray/types_std.cc
	* 26_numerics/numeric_arrays
	* 26_numerics/numeric_operations
	* 27_io/basic_filebuf/cons/2020.cc
	* 27_io/basic_filebuf/requirements
	* 27_io/basic_filebuf/requirements/base_classes.cc
	* 27_io/basic_filebuf/requirements/explicit_instantiation.cc
	* 27_io/basic_filebuf/requirements/typedefs.cc
	* 27_io/basic_fstream/cons
	* 27_io/basic_fstream/cons/3.cc
	* 27_io/basic_fstream/requirements
	* 27_io/basic_fstream/requirements/base_classes.cc
	* 27_io/basic_fstream/requirements/explicit_instantiation.cc
	* 27_io/basic_fstream/requirements/typedefs.cc
	* 27_io/basic_ifstream/cons/2020.cc
	* 27_io/basic_ifstream/requirements
	* 27_io/basic_ifstream/requirements/base_classes.cc
	* 27_io/basic_ifstream/requirements/explicit_instantiation.cc
	* 27_io/basic_ifstream/requirements/typedefs.cc
	* 27_io/basic_ios/cons/2020.cc
	* 27_io/basic_ios/requirements
	* 27_io/basic_ios/requirements/base_classes.cc
	* 27_io/basic_ios/requirements/explicit_instantiation.cc
	* 27_io/basic_ios/requirements/typedefs.cc
	* 27_io/basic_iostream/cons
	* 27_io/basic_iostream/cons/2020.cc
	* 27_io/basic_iostream/requirements
	* 27_io/basic_iostream/requirements/base_classes.cc
	* 27_io/basic_iostream/requirements/explicit_instantiation.cc
	* 27_io/basic_iostream/requirements/typedefs.cc
	* 27_io/basic_istream/cons
	* 27_io/basic_istream/cons/3.cc
	* 27_io/basic_istream/requirements
	* 27_io/basic_istream/requirements/base_classes.cc
	* 27_io/basic_istream/requirements/explicit_instantiation.cc
	* 27_io/basic_istream/requirements/typedefs.cc
	* 27_io/basic_istringstream/cons
	* 27_io/basic_istringstream/cons/2020.cc
	* 27_io/basic_istringstream/requirements
	* 27_io/basic_istringstream/requirements/base_classes.cc
	* 27_io/basic_istringstream/requirements/explicit_instantiation.cc
	* 27_io/basic_istringstream/requirements/typedefs.cc
	* 27_io/basic_ofstream/cons/2020.cc
	* 27_io/basic_ofstream/requirements
	* 27_io/basic_ofstream/requirements/base_classes.cc
	* 27_io/basic_ofstream/requirements/explicit_instantiations.cc
	* 27_io/basic_ofstream/requirements/typedefs.cc
	* 27_io/basic_ostream/cons/2020.cc
	* 27_io/basic_ostream/requirements
	* 27_io/basic_ostream/requirements/base_classes.cc
	* 27_io/basic_ostream/requirements/explicit_instantiation.cc
	* 27_io/basic_ostream/requirements/typedefs.cc
	* 27_io/basic_ostringstream/cons/2020.cc
	* 27_io/basic_ostringstream/requirements
	* 27_io/basic_ostringstream/requirements/base_classes.cc
	* 27_io/basic_ostringstream/requirements/explicit_instantiation.cc
	* 27_io/basic_ostringstream/requirements/typedefs.cc
	* 27_io/basic_streambuf/cons/2020.cc
	* 27_io/basic_streambuf/requirements
	* 27_io/basic_streambuf/requirements/base_classes.cc
	* 27_io/basic_streambuf/requirements/typedefs.cc
	* 27_io/basic_stringbuf/cons/2020.cc
	* 27_io/basic_stringbuf/requirements
	* 27_io/basic_stringbuf/requirements/base_classes.cc
	* 27_io/basic_stringbuf/requirements/explicit_instantiation
	* 27_io/basic_stringbuf/requirements/explicit_instantiation/2.cc
	* 27_io/basic_stringbuf/requirements/explicit_instantiation/4.cc
	* 27_io/basic_stringbuf/requirements/typedefs.cc
	* 27_io/basic_stringstream/cons
	* 27_io/basic_stringstream/cons/2020.cc
	* 27_io/basic_stringstream/requirements
	* 27_io/basic_stringstream/requirements/base_classes.cc
	* 27_io/basic_stringstream/requirements/explicit_instantiation.cc
	* 27_io/basic_stringstream/requirements/typedefs.cc
	* 27_io/fpos/requirements
	* 27_io/fpos/requirements/explicit_instantiation.cc
	* 27_io/headers
	* 27_io/headers/cstdio
	* 27_io/headers/cstdio/functions_std.cc
	* 27_io/headers/cstdio/macros.cc
	* 27_io/headers/cstdio/types_std.cc
	* 27_io/headers/cstdlib
	* 27_io/headers/fstream
	* 27_io/headers/fstream/synopsis.cc
	* 27_io/headers/fstream/types_std.cc
	* 27_io/headers/iomanip
	* 27_io/headers/iomanip/synopsis.cc
	* 27_io/headers/ios
	* 27_io/headers/ios/synopsis.cc
	* 27_io/headers/iostream
	* 27_io/headers/iostream/synopsis.cc
	* 27_io/headers/iostream/types_std.cc
	* 27_io/headers/ios/types_std.cc
	* 27_io/headers/istream
	* 27_io/headers/istream/synopsis.cc
	* 27_io/headers/istream/types_std.cc
	* 27_io/headers/ostream
	* 27_io/headers/ostream/synopsis.cc
	* 27_io/headers/ostream/types_std.cc
	* 27_io/headers/sstream
	* 27_io/headers/sstream/synopsis.cc
	* 27_io/headers/sstream/types_std.cc
	* 27_io/headers/streambuf
	* 27_io/headers/streambuf/synopsis.cc
	* 27_io/headers/streambuf/types_std.cc
	* ext/debug_allocator/explicit_instantiation.cc
	* ext/hash_map/requirements
	* ext/hash_map/requirements/explicit_instantiation.cc
	* ext/hash_set/requirements
	* ext/hash_set/requirements/explicit_instantiation.cc
	* ext/malloc_allocator/explicit_instantiation.cc
	* ext/mt_allocator/explicit_instantiation.cc
	* ext/pool_allocator/explicit_instantiation.cc
	* ext/slist/requirements
	* ext/slist/requirements/explicit_instantiation.cc
	* ext/stdio_filebuf/requirements
	* ext/stdio_filebuf/requirements/explicit_instantiation.cc
	* ext/vstring/requirements
	* ext/vstring/requirements/explicit_instantiation
	* tr1/2_general_utilities/headers
	* tr1/2_general_utilities/headers/functional
	* tr1/2_general_utilities/headers/functional/synopsis.cc
	* tr1/2_general_utilities/headers/memory
	* tr1/2_general_utilities/headers/memory/synopsis.cc
	* tr1/2_general_utilities/headers/memory/types_std_tr1.cc
	* tr1/2_general_utilities/memory/enable_shared_from_this/requirements
	* tr1/2_general_utilities/memory/enable_shared_from_this/
	requirements/explicit_instantiation
	* tr1/2_general_utilities/memory/shared_ptr/requirements
	* tr1/2_general_utilities/memory/shared_ptr/requirements/
	explicit_instantiation
	* tr1/2_general_utilities/memory/weak_ptr/requirements
	* tr1/2_general_utilities/memory/weak_ptr/requirements/
	explicit_instantiation
	* tr1/3_function_objects/headers
	* tr1/3_function_objects/headers/functional
	* tr1/3_function_objects/headers/functional/synopsis.cc
	* tr1/3_function_objects/headers/functional/types_std_tr1.cc
	* tr1/3_function_objects/headers/functional/
	using_namespace_std_tr1_placeholders.cc
	* tr1/4_metaprogramming/headers
	* tr1/4_metaprogramming/headers/type_traits
	* tr1/4_metaprogramming/headers/type_traits/synopsis.cc
	* tr1/4_metaprogramming/headers/type_traits/types_std_tr1.cc
	* tr1/5_numerical_facilities/headers
	* tr1/5_numerical_facilities/headers/random
	* tr1/5_numerical_facilities/headers/random/synopsis.cc
	* tr1/5_numerical_facilities/headers/random/types_std_tr1.cc
	* tr1/5_numerical_facilities/random/discard_block/
	requirements/typedefs.cc
	* tr1/6_containers/array/requirements/explicit_instantiation.cc
	* tr1/6_containers/hash
	* tr1/6_containers/hash/requirements
	* tr1/6_containers/hash/requirements/base_classes.cc
	* tr1/6_containers/hash/requirements/explicit_instantiation.cc
	* tr1/6_containers/headers
	* tr1/6_containers/headers/array
	* tr1/6_containers/headers/array/synopsis.cc
	* tr1/6_containers/headers/functional
	* tr1/6_containers/headers/functional/synopsis.cc
	* tr1/6_containers/headers/tuple
	* tr1/6_containers/headers/tuple/synopsis.cc
	* tr1/6_containers/headers/tuple/types_std_tr1.cc
	* tr1/6_containers/headers/unordered_map
	* tr1/6_containers/headers/unordered_map/synopsis.cc
	* tr1/6_containers/headers/unordered_set
	* tr1/6_containers/headers/unordered_set/synopsis.cc
	* tr1/6_containers/tuple/requirements
	* tr1/6_containers/tuple/requirements/explicit_instantiation.cc
	* tr1/6_containers/unordered_map
	* tr1/6_containers/unordered_map/24064.cc
	* tr1/6_containers/unordered_map/capacity
	* tr1/6_containers/unordered_map/capacity/29134-map.cc
	* tr1/6_containers/unordered_map/erase
	* tr1/6_containers/unordered_map/erase/24061-map.cc
	* tr1/6_containers/unordered_map/find
	* tr1/6_containers/unordered_map/find/map1.cc
	* tr1/6_containers/unordered_map/insert
	* tr1/6_containers/unordered_map/insert/24061-map.cc
	* tr1/6_containers/unordered_map/insert/array_syntax.cc
	* tr1/6_containers/unordered_map/insert/map_range.cc
	* tr1/6_containers/unordered_map/insert/map_single.cc
	* tr1/6_containers/unordered_map/requirements
	* tr1/6_containers/unordered_map/requirements/explicit_instantiation.cc
	* tr1/6_containers/unordered_map/requirements/iterator_neg.cc
	* tr1/6_containers/unordered_map/requirements/iterator_null_neg.cc
	* tr1/6_containers/unordered_map/swap
	* tr1/6_containers/unordered_map/swap/1.cc
	* tr1/6_containers/unordered_map/swap/2.cc
	* tr1/6_containers/unordered_multimap
	* tr1/6_containers/unordered_multimap/capacity
	* tr1/6_containers/unordered_multimap/capacity/29134-multimap.cc
	* tr1/6_containers/unordered_multimap/erase
	* tr1/6_containers/unordered_multimap/erase/24061-multimap.cc
	* tr1/6_containers/unordered_multimap/find
	* tr1/6_containers/unordered_multimap/find/multimap1.cc
	* tr1/6_containers/unordered_multimap/insert
	* tr1/6_containers/unordered_multimap/insert/24061-multimap.cc
	* tr1/6_containers/unordered_multimap/insert/multimap_range.cc
	* tr1/6_containers/unordered_multimap/insert/multimap_single.cc
	* tr1/6_containers/unordered_multimap/requirements
	* tr1/6_containers/unordered_multimap/requirements/
	explicit_instantiation.cc
	* tr1/6_containers/unordered_multimap/requirements/iterator_neg.cc
	* tr1/6_containers/unordered_multimap/requirements/iterator_null_neg.cc
	* tr1/6_containers/unordered_multimap/swap
	* tr1/6_containers/unordered_multimap/swap/1.cc
	* tr1/6_containers/unordered_multimap/swap/2.cc
	* tr1/6_containers/unordered_multiset
	* tr1/6_containers/unordered_multiset/24054.cc
	* tr1/6_containers/unordered_multiset/capacity
	* tr1/6_containers/unordered_multiset/capacity/29134-multiset.cc
	* tr1/6_containers/unordered_multiset/erase
	* tr1/6_containers/unordered_multiset/erase/24061-multiset.cc
	* tr1/6_containers/unordered_multiset/find
	* tr1/6_containers/unordered_multiset/find/multiset1.cc
	* tr1/6_containers/unordered_multiset/insert
	* tr1/6_containers/unordered_multiset/insert/24061-multiset.cc
	* tr1/6_containers/unordered_multiset/insert/multiset_range.cc
	* tr1/6_containers/unordered_multiset/insert/multiset_single.cc
	* tr1/6_containers/unordered_multiset/requirements
	* tr1/6_containers/unordered_multiset/requirements/
	explicit_instantiation.cc
	* tr1/6_containers/unordered_multiset/requirements/iterator_neg.cc
	* tr1/6_containers/unordered_multiset/requirements/iterator_null_neg.cc
	* tr1/6_containers/unordered_multiset/swap
	* tr1/6_containers/unordered_multiset/swap/1.cc
	* tr1/6_containers/unordered_multiset/swap/2.cc
	* tr1/6_containers/unordered_set
	* tr1/6_containers/unordered_set/23053.cc
	* tr1/6_containers/unordered_set/23465.cc
	* tr1/6_containers/unordered_set/26127.cc
	* tr1/6_containers/unordered_set/26132.cc
	* tr1/6_containers/unordered_set/capacity
	* tr1/6_containers/unordered_set/capacity/29134-set.cc
	* tr1/6_containers/unordered_set/erase
	* tr1/6_containers/unordered_set/erase/24061-set.cc
	* tr1/6_containers/unordered_set/find
	* tr1/6_containers/unordered_set/find/set1.cc
	* tr1/6_containers/unordered_set/insert
	* tr1/6_containers/unordered_set/insert/24061-set.cc
	* tr1/6_containers/unordered_set/insert/set_range.cc
	* tr1/6_containers/unordered_set/insert/set_single.cc
	* tr1/6_containers/unordered_set/requirements
	* tr1/6_containers/unordered_set/requirements/explicit_instantiation.cc
	* tr1/6_containers/unordered_set/requirements/iterator_neg.cc
	* tr1/6_containers/unordered_set/requirements/iterator_null_neg.cc
	* tr1/6_containers/unordered_set/requirements/
	iterators_default_constructor.cc
	* tr1/6_containers/unordered_set/swap
	* tr1/6_containers/unordered_set/swap/1.cc
	* tr1/6_containers/unordered_set/swap/2.cc
	* tr1/using_namespace_std_tr1.cc

	Deleted:
	* 17_intro/header_cassert.cc
	* 17_intro/header_cerrno.cc
	* 17_intro/header_csetjmp.cc
	* 17_intro/header_cstdarg.cc
	* 17_intro/header_cstddef.cc
	* 17_intro/header_cstdio.cc
	* 17_intro/header_cstdlib.cc
	* 17_intro/header_cstring.cc
	* 17_intro/header_ctime.cc
	* 17_intro/header_cwchar.cc
	* 17_intro/header_cwctype.cc
	* 17_intro/header_fstream.cc
	* 17_intro/header_iomanip.cc
	* 17_intro/header_ios.cc
	* 17_intro/header_iosfwd.cc
	* 17_intro/header_iostream.cc
	* 17_intro/header_istream.cc
	* 17_intro/header_ostream.cc
	* 17_intro/headers.cc
	* 17_intro/headers_c++_c++0x_compat.cc
	* 17_intro/headers_c.cc
	* 17_intro/headers_c++.cc
	* 17_intro/header_sstream.cc
	* 17_intro/header_streambuf.cc
	* 17_intro/no_assert_neg.cc
	* 18_support/numeric_limits/sign.cc
	* 18_support/numeric_limits/specialization.cc
	* 20_util/memory/raw_storage_iterator.cc
	* 21_strings/basic_string/1.cc
	* 21_strings/basic_string/2.cc
	* 22_locale/codecvt/1.cc
	* 22_locale/codecvt/2.cc
	* 22_locale/codecvt_byname/1.cc
	* 22_locale/collate/1.cc
	* 22_locale/collate/2.cc
	* 22_locale/collate_byname/1.cc
	* 22_locale/ctype/1.cc
	* 22_locale/ctype_base/1.cc
	* 22_locale/messages/1.cc
	* 22_locale/messages/2.cc
	* 22_locale/messages_byname/1.cc
	* 22_locale/money_get/1.cc
	* 22_locale/money_get/2.cc
	* 22_locale/money_get/3.cc
	* 22_locale/moneypunct/1.cc
	* 22_locale/moneypunct/2.cc
	* 22_locale/moneypunct/3.cc
	* 22_locale/moneypunct_byname/1.cc
	* 22_locale/money_put/1.cc
	* 22_locale/money_put/2.cc
	* 22_locale/money_put/3.cc
	* 22_locale/num_get/1.cc
	* 22_locale/num_get/2.cc
	* 22_locale/num_get/3.cc
	* 22_locale/numpunct/1.cc
	* 22_locale/numpunct/2.cc
	* 22_locale/numpunct_byname/1.cc
	* 22_locale/num_put/1.cc
	* 22_locale/num_put/2.cc
	* 22_locale/num_put/3.cc
	* 22_locale/time_get/1.cc
	* 22_locale/time_get/2.cc
	* 22_locale/time_put/1.cc
	* 22_locale/time_put/2.cc
	* 23_containers/deque/1.cc
	* 23_containers/deque/explicit_instantiation
	* 23_containers/deque/explicit_instantiation/1.cc
	* 23_containers/deque/explicit_instantiation/2.cc
	* 23_containers/deque/explicit_instantiation/3.cc
	* 23_containers/list/1.cc
	* 23_containers/list/explicit_instantiation
	* 23_containers/list/explicit_instantiation/1.cc
	* 23_containers/list/explicit_instantiation/2.cc
	* 23_containers/list/explicit_instantiation/3.cc
	* 23_containers/map/1.cc
	* 23_containers/map/explicit_instantiation
	* 23_containers/map/explicit_instantiation/1.cc
	* 23_containers/map/explicit_instantiation/2.cc
	* 23_containers/map/explicit_instantiation/3.cc
	* 23_containers/multimap/1.cc
	* 23_containers/multimap/explicit_instantiation
	* 23_containers/multimap/explicit_instantiation/1.cc
	* 23_containers/multimap/explicit_instantiation/2.cc
	* 23_containers/multimap/explicit_instantiation/3.cc
	* 23_containers/multiset/1.cc
	* 23_containers/multiset/explicit_instantiation
	* 23_containers/multiset/explicit_instantiation/1.cc
	* 23_containers/multiset/explicit_instantiation/2.cc
	* 23_containers/multiset/explicit_instantiation/3.cc
	* 23_containers/set/1.cc
	* 23_containers/set/explicit_instantiation
	* 23_containers/set/explicit_instantiation/1.cc
	* 23_containers/set/explicit_instantiation/2.cc
	* 23_containers/set/explicit_instantiation/3.cc
	* 23_containers/vector/1.cc
	* 23_containers/vector/explicit_instantiation
	* 23_containers/vector/explicit_instantiation/1.cc
	* 23_containers/vector/explicit_instantiation/2.cc
	* 23_containers/vector/explicit_instantiation/3.cc
	* 24_iterators/26020.cc
	* 24_iterators/back_insert_iterator.cc
	* 24_iterators/front_insert_iterator.cc
	* 24_iterators/insert_iterator.cc
	* 24_iterators/istreambuf_iterator/1.cc
	* 24_iterators/istream_iterator.cc
	* 24_iterators/iterator.cc
	* 24_iterators/ostreambuf_iterator/1.cc
	* 24_iterators/ostream_iterator.cc
	* 24_iterators/reverse_iterator/1.cc
	* 26_numerics/cmath
	* 26_numerics/cmath/19322.cc
	* 26_numerics/cmath/c99_classification_macros_c.cc
	* 26_numerics/cmath/c99_classification_macros_c++.cc
	* 26_numerics/cmath/c_math.cc
	* 26_numerics/cmath/c_math_dynamic.cc
	* 26_numerics/cmath/fabs_inline.cc
	* 26_numerics/cmath/overloads.cc
	* 26_numerics/cmath/powi.cc
	* 26_numerics/cstdlib
	* 26_numerics/cstdlib/13943.cc
	* 26_numerics/numeric
	* 26_numerics/numeric/sum_diff.cc
	* 26_numerics/valarray
	* 26_numerics/valarray/27867.cc
	* 26_numerics/valarray/28277.cc
	* 26_numerics/valarray/30416.cc
	* 26_numerics/valarray/binary_closure.cc
	* 26_numerics/valarray/dr543.cc
	* 26_numerics/valarray/slice_array_assignment.cc
	* 26_numerics/valarray/slice.cc
	* 26_numerics/valarray/valarray.cc
	* 26_numerics/valarray/valarray_const_bracket.cc
	* 26_numerics/valarray/valarray_name_lookup.cc
	* 26_numerics/valarray/valarray_operators.cc
	* 26_numerics/valarray/valarray_subset_assignment.cc
	* 27_io/basic_filebuf/1.cc
	* 27_io/basic_filebuf/2.cc
	* 27_io/basic_filebuf/3.cc
	* 27_io/basic_filebuf/4.cc
	* 27_io/basic_fstream/1.cc
	* 27_io/basic_fstream/2.cc
	* 27_io/basic_fstream/3.cc
	* 27_io/basic_fstream/4.cc
	* 27_io/basic_ifstream/1.cc
	* 27_io/basic_ifstream/2.cc
	* 27_io/basic_ifstream/3.cc
	* 27_io/basic_ifstream/4.cc
	* 27_io/basic_ios/1.cc
	* 27_io/basic_ios/2.cc
	* 27_io/basic_ios/3.cc
	* 27_io/basic_ios/4.cc
	* 27_io/basic_iostream/1.cc
	* 27_io/basic_iostream/2.cc
	* 27_io/basic_iostream/3.cc
	* 27_io/basic_iostream/4.cc
	* 27_io/basic_istream/1.cc
	* 27_io/basic_istream/2.cc
	* 27_io/basic_istream/3.cc
	* 27_io/basic_istream/4.cc
	* 27_io/basic_istringstream/1.cc
	* 27_io/basic_istringstream/2.cc
	* 27_io/basic_istringstream/3.cc
	* 27_io/basic_istringstream/4.cc
	* 27_io/basic_ofstream/1.cc
	* 27_io/basic_ofstream/2.cc
	* 27_io/basic_ofstream/3.cc
	* 27_io/basic_ofstream/4.cc
	* 27_io/basic_ostream/1.cc
	* 27_io/basic_ostream/2.cc
	* 27_io/basic_ostream/3.cc
	* 27_io/basic_ostream/4.cc
	* 27_io/basic_ostringstream/1.cc
	* 27_io/basic_ostringstream/2.cc
	* 27_io/basic_ostringstream/3.cc
	* 27_io/basic_ostringstream/4.cc
	* 27_io/basic_streambuf/1.cc
	* 27_io/basic_streambuf/2.cc
	* 27_io/basic_streambuf/3.cc
	* 27_io/basic_stringbuf/1.cc
	* 27_io/basic_stringbuf/2.cc
	* 27_io/basic_stringbuf/3.cc
	* 27_io/basic_stringbuf/4.cc
	* 27_io/basic_stringbuf/5.cc
	* 27_io/basic_stringstream/1.cc
	* 27_io/basic_stringstream/2.cc
	* 27_io/basic_stringstream/3.cc
	* 27_io/basic_stringstream/4.cc
	* 27_io/fpos/1.cc
	* ext/debug_allocator/instantiate.cc
	* ext/hash_map/instantiate.cc
	* ext/hash_set/instantiate.cc
	* ext/malloc_allocator/instantiate.cc
	* ext/mt_allocator/instantiate.cc
	* ext/pool_allocator/instantiate.cc
	* ext/slist/instantiate.cc
	* ext/stdio_filebuf/char/1.cc
	* ext/vstring/explicit_instantiation
	* ext/vstring/explicit_instantiation/1.cc
	* ext/vstring/explicit_instantiation/2.cc
	* ext/vstring/explicit_instantiation/char
	* ext/vstring/explicit_instantiation/char/1.cc
	* ext/vstring/explicit_instantiation/wchar_t
	* ext/vstring/explicit_instantiation/wchar_t/1.cc
	* tr1/2_general_utilities/memory/enable_shared_from_this/
	explicit_instantiation
	* tr1/2_general_utilities/memory/enable_shared_from_this/
	explicit_instantiation/1.cc
	* tr1/2_general_utilities/memory/shared_ptr/explicit_instantiation
	* tr1/2_general_utilities/memory/shared_ptr/explicit_instantiation/1.cc
	* tr1/2_general_utilities/memory/weak_ptr/explicit_instantiation
	* tr1/2_general_utilities/memory/weak_ptr/explicit_instantiation/1.cc
	* tr1/5_numerical_facilities/random/discard_block/requirements/
	requirements.cc
	* tr1/6_containers/array/requirements/instantiate.cc
	* tr1/6_containers/unordered
	* tr1/6_containers/unordered/23781.cc
	* tr1/6_containers/unordered/capacity
	* tr1/6_containers/unordered/capacity/29134-map.cc
	* tr1/6_containers/unordered/capacity/29134-multimap.cc
	* tr1/6_containers/unordered/capacity/29134-multiset.cc
	* tr1/6_containers/unordered/capacity/29134-set.cc
	* tr1/6_containers/unordered/erase
	* tr1/6_containers/unordered/erase/24061-map.cc
	* tr1/6_containers/unordered/erase/24061-multimap.cc
	* tr1/6_containers/unordered/erase/24061-multiset.cc
	* tr1/6_containers/unordered/erase/24061-set.cc
	* tr1/6_containers/unordered/find
	* tr1/6_containers/unordered/find/map1.cc
	* tr1/6_containers/unordered/find/multimap1.cc
	* tr1/6_containers/unordered/find/multiset1.cc
	* tr1/6_containers/unordered/find/set1.cc
	* tr1/6_containers/unordered/hash
	* tr1/6_containers/unordered/hash/24799.cc
	* tr1/6_containers/unordered/hashtable
	* tr1/6_containers/unordered/hashtable/23053.cc
	* tr1/6_containers/unordered/hashtable/23465.cc
	* tr1/6_containers/unordered/hashtable/24054.cc
	* tr1/6_containers/unordered/hashtable/24064.cc
	* tr1/6_containers/unordered/hashtable/26127.cc
	* tr1/6_containers/unordered/hashtable/26132.cc
	* tr1/6_containers/unordered/hashtable/iterators_default_constructor.cc
	* tr1/6_containers/unordered/insert
	* tr1/6_containers/unordered/insert/24061-map.cc
	* tr1/6_containers/unordered/insert/24061-multimap.cc
	* tr1/6_containers/unordered/insert/24061-multiset.cc
	* tr1/6_containers/unordered/insert/24061-set.cc
	* tr1/6_containers/unordered/insert/array_syntax.cc
	* tr1/6_containers/unordered/insert/map_range.cc
	* tr1/6_containers/unordered/insert/map_single.cc
	* tr1/6_containers/unordered/insert/multimap_range.cc
	* tr1/6_containers/unordered/insert/multimap_single.cc
	* tr1/6_containers/unordered/insert/multiset_range.cc
	* tr1/6_containers/unordered/insert/multiset_single.cc
	* tr1/6_containers/unordered/insert/set_range.cc
	* tr1/6_containers/unordered/insert/set_single.cc
	* tr1/6_containers/unordered/instantiate
	* tr1/6_containers/unordered/instantiate/hash.cc
	* tr1/6_containers/unordered/instantiate/map.cc
	* tr1/6_containers/unordered/instantiate/multimap.cc
	* tr1/6_containers/unordered/instantiate/multiset.cc
	* tr1/6_containers/unordered/instantiate/set.cc
	* tr1/6_containers/unordered/swap
	* tr1/6_containers/unordered/swap/unordered_map
	* tr1/6_containers/unordered/swap/unordered_map/1.cc
	* tr1/6_containers/unordered/swap/unordered_map/2.cc
	* tr1/6_containers/unordered/swap/unordered_multimap
	* tr1/6_containers/unordered/swap/unordered_multimap/1.cc
	* tr1/6_containers/unordered/swap/unordered_multimap/2.cc
	* tr1/6_containers/unordered/swap/unordered_multiset
	* tr1/6_containers/unordered/swap/unordered_multiset/1.cc
	* tr1/6_containers/unordered/swap/unordered_multiset/2.cc
	* tr1/6_containers/unordered/swap/unordered_set
	* tr1/6_containers/unordered/swap/unordered_set/1.cc
	* tr1/6_containers/unordered/swap/unordered_set/2.cc
	* tr1/6_containers/unordered/types
	* tr1/6_containers/unordered/types/map_iterator.cc
	* tr1/6_containers/unordered/types/multimap_iterator.cc
	* tr1/6_containers/unordered/types/multiset_iterator.cc
	* tr1/6_containers/unordered/types/set_iterator.cc

	* 24_iterators/reverse_iterator/2.cc: To just one
	non-requirements test.
	* ext/headers.cc: Add new includes.
	
2007-02-18  Paolo Carlini  <pcarlini@suse.de>

	PR libstdc++/28080 (partial)
	* include/bits/stl_algobase.h: Do not include <climits>, use
	std::numeric_limits.
	* include/bits/stl_bvector.h: Use __CHAR_BIT__.
	* config/locale/gnu/codecvt_members.cc: Include <climits>.
	* config/locale/generic/codecvt_members.cc: Likewise.
	* include/std/string: Do not include <algorithm>; do not include
	<memory>, include <bits/allocator.h> instead.
	* include/ext/vstring_fwd.h: Likewise.
	* include/ext/vstring_util.h: Do not include <algorithm>.
	* include/tr1/hashtable_policy.h: Include <algorithm>.
	* testsuite/21_strings/basic_string/replace/char/1.cc: Likewise.
	* testsuite/21_strings/basic_string/replace/wchar_t/1.cc: Likewise.
	* testsuite/23_containers/bitset/cons/1.cc: Likewise.
	* testsuite/util/testsuite_character.h: Likewise.

	* config/locale/gnu/codecvt_members.cc: Also include <cstdlib>,
	for MB_CUR_MAX.
	* config/locale/generic/codecvt_members.cc: Likewise.


Added:
    trunk/libstdc++-v3/testsuite/17_intro/headers/
    trunk/libstdc++-v3/testsuite/17_intro/headers/all.cc
    trunk/libstdc++-v3/testsuite/17_intro/headers/all_assert_neg.cc
    trunk/libstdc++-v3/testsuite/17_intro/headers/all_c++200x_compatibility.cc
    trunk/libstdc++-v3/testsuite/17_intro/headers/c++1998/
    trunk/libstdc++-v3/testsuite/17_intro/headers/c++1998/all.cc
    trunk/libstdc++-v3/testsuite/17_intro/headers/c++1998/all_multiple_inclusion.cc
    trunk/libstdc++-v3/testsuite/17_intro/headers/c++1998/c++.tar   (with props)
    trunk/libstdc++-v3/testsuite/17_intro/headers/c++1998/c++_for_c.tar   (with props)
    trunk/libstdc++-v3/testsuite/17_intro/using_namespace_std.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/
    trunk/libstdc++-v3/testsuite/18_support/headers/cfloat/
    trunk/libstdc++-v3/testsuite/18_support/headers/cfloat/values.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/climits/
    trunk/libstdc++-v3/testsuite/18_support/headers/climits/values.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/csetjmp/
    trunk/libstdc++-v3/testsuite/18_support/headers/csetjmp/functions_std.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/csetjmp/macros.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/csetjmp/types_std.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/csignal/
    trunk/libstdc++-v3/testsuite/18_support/headers/csignal/functions_std.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/csignal/macros.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/csignal/types_std.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/cstdarg/
    trunk/libstdc++-v3/testsuite/18_support/headers/cstdarg/macros.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/cstdarg/types_std.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/cstddef/
    trunk/libstdc++-v3/testsuite/18_support/headers/cstddef/macros.cc
      - copied, changed from r122010, trunk/libstdc++-v3/testsuite/17_intro/header_cstddef.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/cstddef/types_std.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/cstdlib/
    trunk/libstdc++-v3/testsuite/18_support/headers/cstdlib/functions_std.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/cstdlib/macros.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/ctime/
    trunk/libstdc++-v3/testsuite/18_support/headers/ctime/functions_std.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/ctime/macros.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/ctime/types_std.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/exception/
    trunk/libstdc++-v3/testsuite/18_support/headers/exception/synopsis.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/exception/types_std.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/limits/
    trunk/libstdc++-v3/testsuite/18_support/headers/limits/synopsis.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/new/
    trunk/libstdc++-v3/testsuite/18_support/headers/new/synopsis.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/new/types_std.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/typeinfo/
    trunk/libstdc++-v3/testsuite/18_support/headers/typeinfo/synopsis.cc
    trunk/libstdc++-v3/testsuite/18_support/headers/typeinfo/types_std.cc
    trunk/libstdc++-v3/testsuite/18_support/numeric_limits/is_signed.cc
      - copied unchanged from r122127, trunk/libstdc++-v3/testsuite/18_support/numeric_limits/sign.cc
    trunk/libstdc++-v3/testsuite/18_support/numeric_limits/requirements/
    trunk/libstdc++-v3/testsuite/18_support/numeric_limits/requirements/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/18_support/numeric_limits/requirements/explicit_instantiation/1.cc
    trunk/libstdc++-v3/testsuite/18_support/numeric_limits/specialization_default_values.cc
      - copied unchanged from r122127, trunk/libstdc++-v3/testsuite/18_support/numeric_limits/specialization.cc
    trunk/libstdc++-v3/testsuite/19_diagnostics/headers/
    trunk/libstdc++-v3/testsuite/19_diagnostics/headers/cassert/
    trunk/libstdc++-v3/testsuite/19_diagnostics/headers/cassert/macros.cc
    trunk/libstdc++-v3/testsuite/19_diagnostics/headers/cerrno/
    trunk/libstdc++-v3/testsuite/19_diagnostics/headers/cerrno/macros.cc
    trunk/libstdc++-v3/testsuite/19_diagnostics/headers/stdexcept/
    trunk/libstdc++-v3/testsuite/19_diagnostics/headers/stdexcept/synopsis.cc
    trunk/libstdc++-v3/testsuite/19_diagnostics/headers/stdexcept/types_std.cc
    trunk/libstdc++-v3/testsuite/20_util/headers/
    trunk/libstdc++-v3/testsuite/20_util/headers/cstdlib/
    trunk/libstdc++-v3/testsuite/20_util/headers/cstdlib/functions_std.cc
    trunk/libstdc++-v3/testsuite/20_util/headers/cstring/
    trunk/libstdc++-v3/testsuite/20_util/headers/cstring/functions_std.cc
    trunk/libstdc++-v3/testsuite/20_util/headers/cstring/macros.cc
    trunk/libstdc++-v3/testsuite/20_util/headers/cstring/types_std.cc
    trunk/libstdc++-v3/testsuite/20_util/headers/ctime/
    trunk/libstdc++-v3/testsuite/20_util/headers/ctime/functions_std.cc
    trunk/libstdc++-v3/testsuite/20_util/headers/ctime/macros.cc
    trunk/libstdc++-v3/testsuite/20_util/headers/ctime/types_std.cc
    trunk/libstdc++-v3/testsuite/20_util/headers/functional/
    trunk/libstdc++-v3/testsuite/20_util/headers/functional/synopsis.cc
    trunk/libstdc++-v3/testsuite/20_util/headers/memory/
    trunk/libstdc++-v3/testsuite/20_util/headers/memory/synopsis.cc
    trunk/libstdc++-v3/testsuite/20_util/headers/utility/
    trunk/libstdc++-v3/testsuite/20_util/headers/utility/synopsis.cc
    trunk/libstdc++-v3/testsuite/20_util/headers/utility/using_namespace_std_rel_ops.cc
    trunk/libstdc++-v3/testsuite/20_util/memory/allocator/requirements/
    trunk/libstdc++-v3/testsuite/20_util/memory/allocator/requirements/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/20_util/memory/allocator/requirements/explicit_instantiation/1.cc
    trunk/libstdc++-v3/testsuite/20_util/memory/auto_ptr/requirements/
    trunk/libstdc++-v3/testsuite/20_util/memory/auto_ptr/requirements/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/20_util/memory/auto_ptr/requirements/explicit_instantiation/1.cc
    trunk/libstdc++-v3/testsuite/20_util/memory/raw_storage_iterator/
    trunk/libstdc++-v3/testsuite/20_util/memory/raw_storage_iterator/requirements/
    trunk/libstdc++-v3/testsuite/20_util/memory/raw_storage_iterator/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/20_util/memory/raw_storage_iterator/requirements/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/20_util/memory/raw_storage_iterator/requirements/explicit_instantiation/1.cc
    trunk/libstdc++-v3/testsuite/20_util/memory/raw_storage_iterator/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/20_util/memory/raw_storage_iterator.cc
    trunk/libstdc++-v3/testsuite/20_util/utility/pair/requirements/
    trunk/libstdc++-v3/testsuite/20_util/utility/pair/requirements/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/20_util/utility/pair/requirements/explicit_instantiation/1.cc
    trunk/libstdc++-v3/testsuite/21_strings/basic_string/requirements/
    trunk/libstdc++-v3/testsuite/21_strings/basic_string/requirements/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/21_strings/basic_string/requirements/explicit_instantiation/1.cc
    trunk/libstdc++-v3/testsuite/21_strings/basic_string/requirements/explicit_instantiation/debug.cc
    trunk/libstdc++-v3/testsuite/21_strings/headers/
    trunk/libstdc++-v3/testsuite/21_strings/headers/cctype/
    trunk/libstdc++-v3/testsuite/21_strings/headers/cctype/functions_std.cc
    trunk/libstdc++-v3/testsuite/21_strings/headers/cstdlib/
    trunk/libstdc++-v3/testsuite/21_strings/headers/cstdlib/functions_std.cc
    trunk/libstdc++-v3/testsuite/21_strings/headers/cstdlib/macros.cc
    trunk/libstdc++-v3/testsuite/21_strings/headers/cstring/
    trunk/libstdc++-v3/testsuite/21_strings/headers/cstring/functions_std.cc
    trunk/libstdc++-v3/testsuite/21_strings/headers/cstring/macros.cc
    trunk/libstdc++-v3/testsuite/21_strings/headers/cstring/types_std.cc
    trunk/libstdc++-v3/testsuite/21_strings/headers/cwchar/
    trunk/libstdc++-v3/testsuite/21_strings/headers/cwchar/functions_std.cc
    trunk/libstdc++-v3/testsuite/21_strings/headers/cwchar/macros.cc
    trunk/libstdc++-v3/testsuite/21_strings/headers/cwchar/types_std.cc
    trunk/libstdc++-v3/testsuite/21_strings/headers/cwctype/
    trunk/libstdc++-v3/testsuite/21_strings/headers/cwctype/functions_std.cc
    trunk/libstdc++-v3/testsuite/21_strings/headers/cwctype/macros.cc
    trunk/libstdc++-v3/testsuite/21_strings/headers/cwctype/types_std.cc
    trunk/libstdc++-v3/testsuite/21_strings/headers/string/
    trunk/libstdc++-v3/testsuite/21_strings/headers/string/synopsis.cc
    trunk/libstdc++-v3/testsuite/21_strings/headers/string/types_std.cc
    trunk/libstdc++-v3/testsuite/22_locale/codecvt/requirements/
    trunk/libstdc++-v3/testsuite/22_locale/codecvt/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/22_locale/codecvt/requirements/explicit_instantiation.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/codecvt/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/codecvt/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/codecvt/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/codecvt_byname/requirements/
    trunk/libstdc++-v3/testsuite/22_locale/codecvt_byname/requirements/base_classes.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/codecvt_byname/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/codecvt_byname/requirements/explicit_instantiation.cc
    trunk/libstdc++-v3/testsuite/22_locale/codecvt_byname/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/22_locale/collate/requirements/
    trunk/libstdc++-v3/testsuite/22_locale/collate/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/22_locale/collate/requirements/explicit_instantiation.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/collate/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/collate/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/collate/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/collate_byname/requirements/
    trunk/libstdc++-v3/testsuite/22_locale/collate_byname/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/22_locale/collate_byname/requirements/explicit_instantiation.cc
    trunk/libstdc++-v3/testsuite/22_locale/collate_byname/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/collate_byname/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/ctype/requirements/
    trunk/libstdc++-v3/testsuite/22_locale/ctype/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/22_locale/ctype/requirements/explicit_instantiation.cc
    trunk/libstdc++-v3/testsuite/22_locale/ctype/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/ctype/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/ctype_base/mask.cc
      - copied unchanged from r122127, trunk/libstdc++-v3/testsuite/22_locale/ctype_base/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/headers/
    trunk/libstdc++-v3/testsuite/22_locale/headers/clocale/
    trunk/libstdc++-v3/testsuite/22_locale/headers/clocale/functions_std.cc
    trunk/libstdc++-v3/testsuite/22_locale/headers/clocale/macros.cc
    trunk/libstdc++-v3/testsuite/22_locale/headers/clocale/types_std.cc
    trunk/libstdc++-v3/testsuite/22_locale/headers/locale/
    trunk/libstdc++-v3/testsuite/22_locale/headers/locale/synopsis.cc
    trunk/libstdc++-v3/testsuite/22_locale/headers/locale/types_std.cc
    trunk/libstdc++-v3/testsuite/22_locale/messages/requirements/
    trunk/libstdc++-v3/testsuite/22_locale/messages/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/22_locale/messages/requirements/explicit_instantiation.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/messages/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/messages/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/messages/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/messages_byname/requirements/
    trunk/libstdc++-v3/testsuite/22_locale/messages_byname/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/22_locale/messages_byname/requirements/explicit_instantiation.cc
    trunk/libstdc++-v3/testsuite/22_locale/messages_byname/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/messages_byname/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/money_get/cons/
    trunk/libstdc++-v3/testsuite/22_locale/money_get/cons/3.cc
      - copied unchanged from r122127, trunk/libstdc++-v3/testsuite/22_locale/money_get/3.cc
    trunk/libstdc++-v3/testsuite/22_locale/money_get/requirements/
    trunk/libstdc++-v3/testsuite/22_locale/money_get/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/22_locale/money_get/requirements/explicit_instantiations.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/money_get/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/money_get/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/money_get/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/money_put/cons/
    trunk/libstdc++-v3/testsuite/22_locale/money_put/cons/3.cc
      - copied unchanged from r122127, trunk/libstdc++-v3/testsuite/22_locale/money_put/3.cc
    trunk/libstdc++-v3/testsuite/22_locale/money_put/requirements/
    trunk/libstdc++-v3/testsuite/22_locale/money_put/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/22_locale/money_put/requirements/explicit_instantiation.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/money_put/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/money_put/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/money_put/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct/requirements/
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct/requirements/false/
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct/requirements/false/base_classes.cc
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct/requirements/false/explicit_instantiation.cc
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct/requirements/false/intl.cc
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct/requirements/false/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/moneypunct/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct/requirements/true/
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct/requirements/true/base_classes.cc
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct/requirements/true/explicit_instantiation.cc
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct/requirements/true/intl.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/moneypunct/3.cc
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct/requirements/true/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/moneypunct/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct_byname/requirements/
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct_byname/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct_byname/requirements/explicit_instantiation.cc
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct_byname/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/moneypunct_byname/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/num_get/cons/
    trunk/libstdc++-v3/testsuite/22_locale/num_get/cons/3.cc
      - copied unchanged from r122127, trunk/libstdc++-v3/testsuite/22_locale/num_get/3.cc
    trunk/libstdc++-v3/testsuite/22_locale/num_get/requirements/
    trunk/libstdc++-v3/testsuite/22_locale/num_get/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/22_locale/num_get/requirements/explicit_instantiation.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/num_get/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/num_get/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/num_get/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/num_put/cons/
    trunk/libstdc++-v3/testsuite/22_locale/num_put/cons/3.cc
      - copied unchanged from r122127, trunk/libstdc++-v3/testsuite/22_locale/num_put/3.cc
    trunk/libstdc++-v3/testsuite/22_locale/num_put/requirements/
    trunk/libstdc++-v3/testsuite/22_locale/num_put/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/22_locale/num_put/requirements/explicit_instantiations.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/num_put/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/num_put/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/num_put/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/numpunct/requirements/
    trunk/libstdc++-v3/testsuite/22_locale/numpunct/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/22_locale/numpunct/requirements/explicit_instantiations.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/numpunct/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/numpunct/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/numpunct/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/numpunct_byname/requirements/
    trunk/libstdc++-v3/testsuite/22_locale/numpunct_byname/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/22_locale/numpunct_byname/requirements/explicit_instantiations.cc
    trunk/libstdc++-v3/testsuite/22_locale/numpunct_byname/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/numpunct_byname/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/time_get/requirements/
    trunk/libstdc++-v3/testsuite/22_locale/time_get/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/22_locale/time_get/requirements/explicit_instantiations.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/time_get/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/time_get/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/time_get/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/time_put/requirements/
    trunk/libstdc++-v3/testsuite/22_locale/time_put/requirements/base_classes.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/time_put/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/time_put/requirements/explicit_instantiations.cc
    trunk/libstdc++-v3/testsuite/22_locale/time_put/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/22_locale/time_put/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/bitset/requirements/
    trunk/libstdc++-v3/testsuite/23_containers/bitset/requirements/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/23_containers/bitset/requirements/explicit_instantiation/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/deque/requirements/
    trunk/libstdc++-v3/testsuite/23_containers/deque/requirements/explicit_instantiation/
      - copied from r122127, trunk/libstdc++-v3/testsuite/23_containers/deque/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/23_containers/deque/requirements/partial_specialization/
    trunk/libstdc++-v3/testsuite/23_containers/deque/requirements/partial_specialization/1.cc
      - copied unchanged from r122127, trunk/libstdc++-v3/testsuite/23_containers/deque/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/headers/
    trunk/libstdc++-v3/testsuite/23_containers/headers/bitset/
    trunk/libstdc++-v3/testsuite/23_containers/headers/bitset/synopsis.cc
    trunk/libstdc++-v3/testsuite/23_containers/headers/deque/
    trunk/libstdc++-v3/testsuite/23_containers/headers/deque/synopsis.cc
    trunk/libstdc++-v3/testsuite/23_containers/headers/list/
    trunk/libstdc++-v3/testsuite/23_containers/headers/list/synopsis.cc
    trunk/libstdc++-v3/testsuite/23_containers/headers/map/
    trunk/libstdc++-v3/testsuite/23_containers/headers/map/synopsis.cc
    trunk/libstdc++-v3/testsuite/23_containers/headers/queue/
    trunk/libstdc++-v3/testsuite/23_containers/headers/queue/synopsis.cc
    trunk/libstdc++-v3/testsuite/23_containers/headers/set/
    trunk/libstdc++-v3/testsuite/23_containers/headers/set/synopsis.cc
    trunk/libstdc++-v3/testsuite/23_containers/headers/stack/
    trunk/libstdc++-v3/testsuite/23_containers/headers/stack/synopsis.cc
    trunk/libstdc++-v3/testsuite/23_containers/headers/vector/
    trunk/libstdc++-v3/testsuite/23_containers/headers/vector/synopsis.cc
    trunk/libstdc++-v3/testsuite/23_containers/list/requirements/
    trunk/libstdc++-v3/testsuite/23_containers/list/requirements/explicit_instantiation/
      - copied from r122127, trunk/libstdc++-v3/testsuite/23_containers/list/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/23_containers/list/requirements/partial_specialization/
    trunk/libstdc++-v3/testsuite/23_containers/list/requirements/partial_specialization/1.cc
      - copied unchanged from r122127, trunk/libstdc++-v3/testsuite/23_containers/list/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/map/requirements/
    trunk/libstdc++-v3/testsuite/23_containers/map/requirements/explicit_instantiation/
      - copied from r122127, trunk/libstdc++-v3/testsuite/23_containers/map/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/23_containers/map/requirements/partial_specialization/
    trunk/libstdc++-v3/testsuite/23_containers/map/requirements/partial_specialization/1.cc
      - copied unchanged from r122127, trunk/libstdc++-v3/testsuite/23_containers/map/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/multimap/requirements/
    trunk/libstdc++-v3/testsuite/23_containers/multimap/requirements/explicit_instantiation/
      - copied from r122127, trunk/libstdc++-v3/testsuite/23_containers/multimap/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/23_containers/multimap/requirements/partial_specialization/
    trunk/libstdc++-v3/testsuite/23_containers/multimap/requirements/partial_specialization/1.cc
      - copied unchanged from r122127, trunk/libstdc++-v3/testsuite/23_containers/multimap/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/multiset/requirements/
    trunk/libstdc++-v3/testsuite/23_containers/multiset/requirements/explicit_instantiation/
      - copied from r122127, trunk/libstdc++-v3/testsuite/23_containers/multiset/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/23_containers/multiset/requirements/partial_specialization/
    trunk/libstdc++-v3/testsuite/23_containers/multiset/requirements/partial_specialization/1.cc
      - copied unchanged from r122127, trunk/libstdc++-v3/testsuite/23_containers/multiset/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/priority_queue/requirements/
    trunk/libstdc++-v3/testsuite/23_containers/priority_queue/requirements/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/23_containers/priority_queue/requirements/explicit_instantiation/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/queue/requirements/
    trunk/libstdc++-v3/testsuite/23_containers/queue/requirements/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/23_containers/queue/requirements/explicit_instantiation/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/set/requirements/
    trunk/libstdc++-v3/testsuite/23_containers/set/requirements/explicit_instantiation/
      - copied from r122127, trunk/libstdc++-v3/testsuite/23_containers/set/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/23_containers/set/requirements/partial_specialization/
    trunk/libstdc++-v3/testsuite/23_containers/set/requirements/partial_specialization/1.cc
      - copied unchanged from r122127, trunk/libstdc++-v3/testsuite/23_containers/set/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/stack/requirements/
    trunk/libstdc++-v3/testsuite/23_containers/stack/requirements/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/23_containers/stack/requirements/explicit_instantiation/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/vector/requirements/
    trunk/libstdc++-v3/testsuite/23_containers/vector/requirements/explicit_instantiation/
      - copied from r122127, trunk/libstdc++-v3/testsuite/23_containers/vector/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/23_containers/vector/requirements/partial_specialization/
    trunk/libstdc++-v3/testsuite/23_containers/vector/requirements/partial_specialization/1.cc
      - copied unchanged from r122127, trunk/libstdc++-v3/testsuite/23_containers/vector/1.cc
    trunk/libstdc++-v3/testsuite/24_iterators/back_insert_iterator/
    trunk/libstdc++-v3/testsuite/24_iterators/back_insert_iterator/2.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/24_iterators/back_insert_iterator.cc
    trunk/libstdc++-v3/testsuite/24_iterators/back_insert_iterator/requirements/
    trunk/libstdc++-v3/testsuite/24_iterators/back_insert_iterator/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/24_iterators/back_insert_iterator/requirements/container.cc
    trunk/libstdc++-v3/testsuite/24_iterators/back_insert_iterator/requirements/explicit_instantiation.cc
    trunk/libstdc++-v3/testsuite/24_iterators/back_insert_iterator/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/24_iterators/front_insert_iterator/
    trunk/libstdc++-v3/testsuite/24_iterators/front_insert_iterator/2.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/24_iterators/front_insert_iterator.cc
    trunk/libstdc++-v3/testsuite/24_iterators/front_insert_iterator/requirements/
    trunk/libstdc++-v3/testsuite/24_iterators/front_insert_iterator/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/24_iterators/front_insert_iterator/requirements/container.cc
    trunk/libstdc++-v3/testsuite/24_iterators/front_insert_iterator/requirements/explicit_instantiation.cc
    trunk/libstdc++-v3/testsuite/24_iterators/front_insert_iterator/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/24_iterators/headers/
    trunk/libstdc++-v3/testsuite/24_iterators/headers/iterator/
    trunk/libstdc++-v3/testsuite/24_iterators/headers/iterator/synopsis.cc
    trunk/libstdc++-v3/testsuite/24_iterators/headers/iterator/types_std.cc
    trunk/libstdc++-v3/testsuite/24_iterators/insert_iterator/
    trunk/libstdc++-v3/testsuite/24_iterators/insert_iterator/2.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/24_iterators/insert_iterator.cc
    trunk/libstdc++-v3/testsuite/24_iterators/insert_iterator/requirements/
    trunk/libstdc++-v3/testsuite/24_iterators/insert_iterator/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/24_iterators/insert_iterator/requirements/container.cc
    trunk/libstdc++-v3/testsuite/24_iterators/insert_iterator/requirements/explicit_instantiation.cc
    trunk/libstdc++-v3/testsuite/24_iterators/insert_iterator/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/24_iterators/istream_iterator/
    trunk/libstdc++-v3/testsuite/24_iterators/istream_iterator/2.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/24_iterators/istream_iterator.cc
    trunk/libstdc++-v3/testsuite/24_iterators/istream_iterator/requirements/
    trunk/libstdc++-v3/testsuite/24_iterators/istream_iterator/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/24_iterators/istream_iterator/requirements/explicit_instantiation.cc
    trunk/libstdc++-v3/testsuite/24_iterators/istream_iterator/requirements/typedefs.cc
    trunk/libstdc++-v3/testsuite/24_iterators/istreambuf_iterator/requirements/
    trunk/libstdc++-v3/testsuite/24_iterators/istreambuf_iterator/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/24_iterators/istreambuf_iterator/requirements/explicit_instantiation.cc
    trunk/libstdc++-v3/testsuite/24_iterators/istreambuf_iterator/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/24_iterators/istreambuf_iterator/1.cc
    trunk/libstdc++-v3/testsuite/24_iterators/ostream_iterator/
    trunk/libstdc++-v3/testsuite/24_iterators/ostream_iterator/requirements/
    trunk/libstdc++-v3/testsuite/24_iterators/ostream_iterator/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/24_iterators/ostream_iterator/requirements/explicit_instantiation.cc
    trunk/libstdc++-v3/testsuite/24_iterators/ostream_iterator/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/24_iterators/ostream_iterator.cc
    trunk/libstdc++-v3/testsuite/24_iterators/ostreambuf_iterator/requirements/
    trunk/libstdc++-v3/testsuite/24_iterators/ostreambuf_iterator/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/24_iterators/ostreambuf_iterator/requirements/explicit_instantiation.cc
    trunk/libstdc++-v3/testsuite/24_iterators/ostreambuf_iterator/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/24_iterators/ostreambuf_iterator/1.cc
    trunk/libstdc++-v3/testsuite/24_iterators/random_access_iterator/
    trunk/libstdc++-v3/testsuite/24_iterators/random_access_iterator/26020.cc
      - copied unchanged from r122127, trunk/libstdc++-v3/testsuite/24_iterators/26020.cc
    trunk/libstdc++-v3/testsuite/24_iterators/random_access_iterator/string_vector_iterators.cc
      - copied unchanged from r122127, trunk/libstdc++-v3/testsuite/24_iterators/iterator.cc
    trunk/libstdc++-v3/testsuite/24_iterators/reverse_iterator/requirements/
    trunk/libstdc++-v3/testsuite/24_iterators/reverse_iterator/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/24_iterators/reverse_iterator/requirements/current.cc
    trunk/libstdc++-v3/testsuite/24_iterators/reverse_iterator/requirements/explicit_instantiation.cc
    trunk/libstdc++-v3/testsuite/24_iterators/reverse_iterator/requirements/typedefs.cc
      - copied, changed from r122127, trunk/libstdc++-v3/testsuite/24_iterators/reverse_iterator/1.cc
    trunk/libstdc++-v3/testsuite/25_algorithms/headers/
    trunk/libstdc++-v3/testsuite/25_algorithms/headers/algorithm/
    trunk/libstdc++-v3/testsuite/25_algorithms/headers/algorithm/synopsis.cc
    trunk/libstdc++-v3/testsuite/25_algorithms/headers/cstdlib/
    trunk/libstdc++-v3/testsuite/25_algorithms/headers/cstdlib/functions_std.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/
    trunk/libstdc++-v3/testsuite/26_numerics/headers/cmath/
    trunk/libstdc++-v3/testsuite/26_numerics/headers/cmath/19322.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/26_numerics/cmath/19322.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/cmath/c99_classification_macros_c++.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/26_numerics/cmath/c99_classification_macros_c++.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/cmath/c99_classification_macros_c.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/26_numerics/cmath/c99_classification_macros_c.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/cmath/c_math.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/26_numerics/cmath/c_math.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/cmath/c_math_dynamic.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/26_numerics/cmath/c_math_dynamic.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/cmath/fabs_inline.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/26_numerics/cmath/fabs_inline.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/cmath/functions_std.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/cmath/macros.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/cmath/overloads.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/26_numerics/cmath/overloads.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/cmath/powi.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/26_numerics/cmath/powi.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/complex/
    trunk/libstdc++-v3/testsuite/26_numerics/headers/complex/synopsis.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/cstdlib/
    trunk/libstdc++-v3/testsuite/26_numerics/headers/cstdlib/13943.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/26_numerics/cstdlib/13943.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/cstdlib/2190.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/cstdlib/functions_std.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/cstdlib/macros.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/cstdlib/types_std.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/numeric/
    trunk/libstdc++-v3/testsuite/26_numerics/headers/numeric/synopsis.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/valarray/
    trunk/libstdc++-v3/testsuite/26_numerics/headers/valarray/synopsis.cc
    trunk/libstdc++-v3/testsuite/26_numerics/headers/valarray/types_std.cc
    trunk/libstdc++-v3/testsuite/26_numerics/numeric_arrays/
      - copied from r122158, trunk/libstdc++-v3/testsuite/26_numerics/valarray/
    trunk/libstdc++-v3/testsuite/26_numerics/numeric_operations/
      - copied from r122158, trunk/libstdc++-v3/testsuite/26_numerics/numeric/
    trunk/libstdc++-v3/testsuite/27_io/basic_filebuf/cons/2020.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_filebuf/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_filebuf/requirements/
    trunk/libstdc++-v3/testsuite/27_io/basic_filebuf/requirements/base_classes.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_filebuf/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_filebuf/requirements/explicit_instantiation.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_filebuf/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_filebuf/requirements/typedefs.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_filebuf/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_fstream/cons/
    trunk/libstdc++-v3/testsuite/27_io/basic_fstream/cons/3.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_fstream/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_fstream/requirements/
    trunk/libstdc++-v3/testsuite/27_io/basic_fstream/requirements/base_classes.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_fstream/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_fstream/requirements/explicit_instantiation.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_fstream/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_fstream/requirements/typedefs.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_fstream/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ifstream/cons/2020.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ifstream/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ifstream/requirements/
    trunk/libstdc++-v3/testsuite/27_io/basic_ifstream/requirements/base_classes.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ifstream/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ifstream/requirements/explicit_instantiation.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ifstream/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ifstream/requirements/typedefs.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ifstream/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ios/cons/2020.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ios/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ios/requirements/
    trunk/libstdc++-v3/testsuite/27_io/basic_ios/requirements/base_classes.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ios/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ios/requirements/explicit_instantiation.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ios/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ios/requirements/typedefs.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ios/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_iostream/cons/
    trunk/libstdc++-v3/testsuite/27_io/basic_iostream/cons/2020.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_iostream/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_iostream/requirements/
    trunk/libstdc++-v3/testsuite/27_io/basic_iostream/requirements/base_classes.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_iostream/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_iostream/requirements/explicit_instantiation.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_iostream/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_iostream/requirements/typedefs.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_iostream/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_istream/cons/
    trunk/libstdc++-v3/testsuite/27_io/basic_istream/cons/3.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_istream/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_istream/requirements/
    trunk/libstdc++-v3/testsuite/27_io/basic_istream/requirements/base_classes.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_istream/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_istream/requirements/explicit_instantiation.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_istream/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_istream/requirements/typedefs.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_istream/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_istringstream/cons/
    trunk/libstdc++-v3/testsuite/27_io/basic_istringstream/cons/2020.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_istringstream/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_istringstream/requirements/
    trunk/libstdc++-v3/testsuite/27_io/basic_istringstream/requirements/base_classes.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_istringstream/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_istringstream/requirements/explicit_instantiation.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_istringstream/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_istringstream/requirements/typedefs.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_istringstream/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ofstream/cons/2020.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ofstream/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ofstream/requirements/
    trunk/libstdc++-v3/testsuite/27_io/basic_ofstream/requirements/base_classes.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ofstream/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ofstream/requirements/explicit_instantiations.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ofstream/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ofstream/requirements/typedefs.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ofstream/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ostream/cons/2020.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ostream/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ostream/requirements/
    trunk/libstdc++-v3/testsuite/27_io/basic_ostream/requirements/base_classes.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ostream/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ostream/requirements/explicit_instantiation.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ostream/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ostream/requirements/typedefs.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ostream/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ostringstream/cons/2020.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ostringstream/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ostringstream/requirements/
    trunk/libstdc++-v3/testsuite/27_io/basic_ostringstream/requirements/base_classes.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ostringstream/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ostringstream/requirements/explicit_instantiation.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ostringstream/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ostringstream/requirements/typedefs.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_ostringstream/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_streambuf/cons/2020.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_streambuf/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_streambuf/requirements/
    trunk/libstdc++-v3/testsuite/27_io/basic_streambuf/requirements/base_classes.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_streambuf/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_streambuf/requirements/typedefs.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_streambuf/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_stringbuf/cons/2020.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_stringbuf/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_stringbuf/requirements/
    trunk/libstdc++-v3/testsuite/27_io/basic_stringbuf/requirements/base_classes.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_stringbuf/5.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_stringbuf/requirements/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/27_io/basic_stringbuf/requirements/explicit_instantiation/2.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_stringbuf/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_stringbuf/requirements/explicit_instantiation/4.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_stringbuf/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_stringbuf/requirements/typedefs.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_stringbuf/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_stringstream/cons/
    trunk/libstdc++-v3/testsuite/27_io/basic_stringstream/cons/2020.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_stringstream/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_stringstream/requirements/
    trunk/libstdc++-v3/testsuite/27_io/basic_stringstream/requirements/base_classes.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_stringstream/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_stringstream/requirements/explicit_instantiation.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_stringstream/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_stringstream/requirements/typedefs.cc
      - copied, changed from r122158, trunk/libstdc++-v3/testsuite/27_io/basic_stringstream/1.cc
    trunk/libstdc++-v3/testsuite/27_io/fpos/requirements/
    trunk/libstdc++-v3/testsuite/27_io/fpos/requirements/explicit_instantiation.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/27_io/fpos/1.cc
    trunk/libstdc++-v3/testsuite/27_io/headers/
    trunk/libstdc++-v3/testsuite/27_io/headers/cstdio/
    trunk/libstdc++-v3/testsuite/27_io/headers/cstdio/functions_std.cc
    trunk/libstdc++-v3/testsuite/27_io/headers/cstdio/macros.cc
    trunk/libstdc++-v3/testsuite/27_io/headers/cstdio/types_std.cc
    trunk/libstdc++-v3/testsuite/27_io/headers/cstdlib/
    trunk/libstdc++-v3/testsuite/27_io/headers/fstream/
    trunk/libstdc++-v3/testsuite/27_io/headers/fstream/synopsis.cc
    trunk/libstdc++-v3/testsuite/27_io/headers/fstream/types_std.cc
    trunk/libstdc++-v3/testsuite/27_io/headers/iomanip/
    trunk/libstdc++-v3/testsuite/27_io/headers/iomanip/synopsis.cc
    trunk/libstdc++-v3/testsuite/27_io/headers/ios/
    trunk/libstdc++-v3/testsuite/27_io/headers/ios/synopsis.cc
    trunk/libstdc++-v3/testsuite/27_io/headers/ios/types_std.cc
    trunk/libstdc++-v3/testsuite/27_io/headers/iostream/
    trunk/libstdc++-v3/testsuite/27_io/headers/iostream/synopsis.cc
    trunk/libstdc++-v3/testsuite/27_io/headers/iostream/types_std.cc
    trunk/libstdc++-v3/testsuite/27_io/headers/istream/
    trunk/libstdc++-v3/testsuite/27_io/headers/istream/synopsis.cc
    trunk/libstdc++-v3/testsuite/27_io/headers/istream/types_std.cc
    trunk/libstdc++-v3/testsuite/27_io/headers/ostream/
    trunk/libstdc++-v3/testsuite/27_io/headers/ostream/synopsis.cc
    trunk/libstdc++-v3/testsuite/27_io/headers/ostream/types_std.cc
    trunk/libstdc++-v3/testsuite/27_io/headers/sstream/
    trunk/libstdc++-v3/testsuite/27_io/headers/sstream/synopsis.cc
    trunk/libstdc++-v3/testsuite/27_io/headers/sstream/types_std.cc
    trunk/libstdc++-v3/testsuite/27_io/headers/streambuf/
    trunk/libstdc++-v3/testsuite/27_io/headers/streambuf/synopsis.cc
    trunk/libstdc++-v3/testsuite/27_io/headers/streambuf/types_std.cc
    trunk/libstdc++-v3/testsuite/ext/debug_allocator/explicit_instantiation.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/ext/debug_allocator/instantiate.cc
    trunk/libstdc++-v3/testsuite/ext/hash_map/requirements/
    trunk/libstdc++-v3/testsuite/ext/hash_map/requirements/explicit_instantiation.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/ext/hash_map/instantiate.cc
    trunk/libstdc++-v3/testsuite/ext/hash_set/requirements/
    trunk/libstdc++-v3/testsuite/ext/hash_set/requirements/explicit_instantiation.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/ext/hash_set/instantiate.cc
    trunk/libstdc++-v3/testsuite/ext/malloc_allocator/explicit_instantiation.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/ext/malloc_allocator/instantiate.cc
    trunk/libstdc++-v3/testsuite/ext/mt_allocator/explicit_instantiation.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/ext/mt_allocator/instantiate.cc
    trunk/libstdc++-v3/testsuite/ext/pool_allocator/explicit_instantiation.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/ext/pool_allocator/instantiate.cc
    trunk/libstdc++-v3/testsuite/ext/slist/requirements/
    trunk/libstdc++-v3/testsuite/ext/slist/requirements/explicit_instantiation.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/ext/slist/instantiate.cc
    trunk/libstdc++-v3/testsuite/ext/stdio_filebuf/requirements/
    trunk/libstdc++-v3/testsuite/ext/stdio_filebuf/requirements/explicit_instantiation.cc
    trunk/libstdc++-v3/testsuite/ext/vstring/requirements/
    trunk/libstdc++-v3/testsuite/ext/vstring/requirements/explicit_instantiation/
      - copied from r122158, trunk/libstdc++-v3/testsuite/ext/vstring/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/headers/
    trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/headers/functional/
    trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/headers/functional/synopsis.cc
    trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/headers/memory/
    trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/headers/memory/synopsis.cc
    trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/headers/memory/types_std_tr1.cc
    trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/memory/enable_shared_from_this/requirements/
    trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/memory/enable_shared_from_this/requirements/explicit_instantiation/
      - copied from r122158, trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/memory/enable_shared_from_this/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/memory/shared_ptr/requirements/
    trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/memory/shared_ptr/requirements/explicit_instantiation/
      - copied from r122158, trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/memory/shared_ptr/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/memory/weak_ptr/requirements/
    trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/memory/weak_ptr/requirements/explicit_instantiation/
      - copied from r122158, trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/memory/weak_ptr/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/tr1/3_function_objects/headers/
    trunk/libstdc++-v3/testsuite/tr1/3_function_objects/headers/functional/
    trunk/libstdc++-v3/testsuite/tr1/3_function_objects/headers/functional/synopsis.cc
    trunk/libstdc++-v3/testsuite/tr1/3_function_objects/headers/functional/types_std_tr1.cc
    trunk/libstdc++-v3/testsuite/tr1/3_function_objects/headers/functional/using_namespace_std_tr1_placeholders.cc
    trunk/libstdc++-v3/testsuite/tr1/4_metaprogramming/headers/
    trunk/libstdc++-v3/testsuite/tr1/4_metaprogramming/headers/type_traits/
    trunk/libstdc++-v3/testsuite/tr1/4_metaprogramming/headers/type_traits/synopsis.cc
    trunk/libstdc++-v3/testsuite/tr1/4_metaprogramming/headers/type_traits/types_std_tr1.cc
    trunk/libstdc++-v3/testsuite/tr1/5_numerical_facilities/headers/
    trunk/libstdc++-v3/testsuite/tr1/5_numerical_facilities/headers/random/
    trunk/libstdc++-v3/testsuite/tr1/5_numerical_facilities/headers/random/synopsis.cc
    trunk/libstdc++-v3/testsuite/tr1/5_numerical_facilities/headers/random/types_std_tr1.cc
    trunk/libstdc++-v3/testsuite/tr1/5_numerical_facilities/random/discard_block/requirements/typedefs.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/5_numerical_facilities/random/discard_block/requirements/requirements.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/array/requirements/explicit_instantiation.cc
      - copied unchanged from r122158, trunk/libstdc++-v3/testsuite/tr1/6_containers/array/requirements/instantiate.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/hash/
      - copied from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/hash/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/hash/requirements/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/hash/requirements/base_classes.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/hash/requirements/explicit_instantiation.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/instantiate/hash.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/headers/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/headers/array/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/headers/array/synopsis.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/headers/functional/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/headers/functional/synopsis.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/headers/tuple/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/headers/tuple/synopsis.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/headers/tuple/types_std_tr1.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/headers/unordered_map/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/headers/unordered_map/synopsis.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/headers/unordered_set/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/headers/unordered_set/synopsis.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/tuple/requirements/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/tuple/requirements/explicit_instantiation.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/24064.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/hashtable/24064.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/capacity/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/capacity/29134-map.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/capacity/29134-map.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/erase/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/erase/24061-map.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/erase/24061-map.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/find/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/find/map1.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/find/map1.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/insert/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/insert/24061-map.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/insert/24061-map.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/insert/array_syntax.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/insert/array_syntax.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/insert/map_range.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/insert/map_range.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/insert/map_single.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/insert/map_single.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/requirements/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/requirements/explicit_instantiation.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/instantiate/map.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/requirements/iterator_neg.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/types/map_iterator.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/requirements/iterator_null_neg.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/swap/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/swap/1.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/swap/unordered_map/1.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_map/swap/2.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/swap/unordered_map/2.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multimap/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multimap/capacity/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multimap/capacity/29134-multimap.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/capacity/29134-multimap.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multimap/erase/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multimap/erase/24061-multimap.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/erase/24061-multimap.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multimap/find/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multimap/find/multimap1.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/find/multimap1.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multimap/insert/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multimap/insert/24061-multimap.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/insert/24061-multimap.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multimap/insert/multimap_range.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/insert/multimap_range.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multimap/insert/multimap_single.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/insert/multimap_single.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multimap/requirements/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multimap/requirements/explicit_instantiation.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/instantiate/multimap.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multimap/requirements/iterator_neg.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/types/multimap_iterator.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multimap/requirements/iterator_null_neg.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multimap/swap/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multimap/swap/1.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/swap/unordered_multimap/1.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multimap/swap/2.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/swap/unordered_multimap/2.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/24054.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/hashtable/24054.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/capacity/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/capacity/29134-multiset.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/capacity/29134-multiset.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/erase/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/erase/24061-multiset.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/erase/24061-multiset.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/find/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/find/multiset1.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/find/multiset1.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/insert/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/insert/24061-multiset.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/insert/24061-multiset.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/insert/multiset_range.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/insert/multiset_range.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/insert/multiset_single.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/insert/multiset_single.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/requirements/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/requirements/explicit_instantiation.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/instantiate/multiset.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/requirements/iterator_neg.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/types/multiset_iterator.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/requirements/iterator_null_neg.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/swap/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/swap/1.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/swap/unordered_multiset/1.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_multiset/swap/2.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/swap/unordered_multiset/2.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/23053.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/hashtable/23053.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/23465.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/hashtable/23465.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/26127.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/hashtable/26127.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/26132.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/hashtable/26132.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/capacity/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/capacity/29134-set.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/capacity/29134-set.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/erase/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/erase/24061-set.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/erase/24061-set.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/find/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/find/set1.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/find/set1.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/insert/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/insert/24061-set.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/insert/24061-set.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/insert/set_range.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/insert/set_range.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/insert/set_single.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/insert/set_single.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/requirements/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/requirements/explicit_instantiation.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/instantiate/set.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/requirements/iterator_neg.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/types/set_iterator.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/requirements/iterator_null_neg.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/requirements/iterators_default_constructor.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/hashtable/iterators_default_constructor.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/swap/
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/swap/1.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/swap/unordered_set/1.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered_set/swap/2.cc
      - copied unchanged from r122160, trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/swap/unordered_set/2.cc
    trunk/libstdc++-v3/testsuite/tr1/using_namespace_std_tr1.cc
Removed:
    trunk/libstdc++-v3/testsuite/17_intro/header_cassert.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_cerrno.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_csetjmp.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_cstdarg.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_cstddef.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_cstdio.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_cstdlib.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_cstring.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_ctime.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_cwchar.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_cwctype.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_fstream.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_iomanip.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_ios.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_iosfwd.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_iostream.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_istream.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_ostream.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_sstream.cc
    trunk/libstdc++-v3/testsuite/17_intro/header_streambuf.cc
    trunk/libstdc++-v3/testsuite/17_intro/headers.cc
    trunk/libstdc++-v3/testsuite/17_intro/headers_c++.cc
    trunk/libstdc++-v3/testsuite/17_intro/headers_c++_c++0x_compat.cc
    trunk/libstdc++-v3/testsuite/17_intro/headers_c.cc
    trunk/libstdc++-v3/testsuite/17_intro/no_assert_neg.cc
    trunk/libstdc++-v3/testsuite/18_support/numeric_limits/sign.cc
    trunk/libstdc++-v3/testsuite/18_support/numeric_limits/specialization.cc
    trunk/libstdc++-v3/testsuite/20_util/memory/raw_storage_iterator.cc
    trunk/libstdc++-v3/testsuite/21_strings/basic_string/1.cc
    trunk/libstdc++-v3/testsuite/21_strings/basic_string/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/codecvt/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/codecvt/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/codecvt_byname/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/collate/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/collate/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/collate_byname/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/ctype/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/ctype_base/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/messages/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/messages/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/messages_byname/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/money_get/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/money_get/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/money_get/3.cc
    trunk/libstdc++-v3/testsuite/22_locale/money_put/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/money_put/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/money_put/3.cc
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct/3.cc
    trunk/libstdc++-v3/testsuite/22_locale/moneypunct_byname/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/num_get/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/num_get/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/num_get/3.cc
    trunk/libstdc++-v3/testsuite/22_locale/num_put/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/num_put/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/num_put/3.cc
    trunk/libstdc++-v3/testsuite/22_locale/numpunct/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/numpunct/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/numpunct_byname/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/time_get/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/time_get/2.cc
    trunk/libstdc++-v3/testsuite/22_locale/time_put/1.cc
    trunk/libstdc++-v3/testsuite/22_locale/time_put/2.cc
    trunk/libstdc++-v3/testsuite/23_containers/deque/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/deque/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/23_containers/list/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/list/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/23_containers/map/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/map/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/23_containers/multimap/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/multimap/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/23_containers/multiset/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/multiset/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/23_containers/set/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/set/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/23_containers/vector/1.cc
    trunk/libstdc++-v3/testsuite/23_containers/vector/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/24_iterators/26020.cc
    trunk/libstdc++-v3/testsuite/24_iterators/back_insert_iterator.cc
    trunk/libstdc++-v3/testsuite/24_iterators/front_insert_iterator.cc
    trunk/libstdc++-v3/testsuite/24_iterators/insert_iterator.cc
    trunk/libstdc++-v3/testsuite/24_iterators/istream_iterator.cc
    trunk/libstdc++-v3/testsuite/24_iterators/istreambuf_iterator/1.cc
    trunk/libstdc++-v3/testsuite/24_iterators/iterator.cc
    trunk/libstdc++-v3/testsuite/24_iterators/ostream_iterator.cc
    trunk/libstdc++-v3/testsuite/24_iterators/ostreambuf_iterator/1.cc
    trunk/libstdc++-v3/testsuite/24_iterators/reverse_iterator/1.cc
    trunk/libstdc++-v3/testsuite/26_numerics/cmath/
    trunk/libstdc++-v3/testsuite/26_numerics/cstdlib/
    trunk/libstdc++-v3/testsuite/26_numerics/numeric/
    trunk/libstdc++-v3/testsuite/26_numerics/valarray/
    trunk/libstdc++-v3/testsuite/27_io/basic_filebuf/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_filebuf/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_filebuf/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_filebuf/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_fstream/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_fstream/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_fstream/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_fstream/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ifstream/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ifstream/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ifstream/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ifstream/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ios/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ios/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ios/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ios/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_iostream/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_iostream/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_iostream/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_iostream/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_istream/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_istream/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_istream/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_istream/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_istringstream/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_istringstream/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_istringstream/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_istringstream/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ofstream/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ofstream/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ofstream/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ofstream/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ostream/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ostream/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ostream/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ostream/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ostringstream/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ostringstream/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ostringstream/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_ostringstream/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_streambuf/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_streambuf/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_streambuf/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_stringbuf/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_stringbuf/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_stringbuf/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_stringbuf/4.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_stringbuf/5.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_stringstream/1.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_stringstream/2.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_stringstream/3.cc
    trunk/libstdc++-v3/testsuite/27_io/basic_stringstream/4.cc
    trunk/libstdc++-v3/testsuite/27_io/fpos/1.cc
    trunk/libstdc++-v3/testsuite/ext/debug_allocator/instantiate.cc
    trunk/libstdc++-v3/testsuite/ext/hash_map/instantiate.cc
    trunk/libstdc++-v3/testsuite/ext/hash_set/instantiate.cc
    trunk/libstdc++-v3/testsuite/ext/malloc_allocator/instantiate.cc
    trunk/libstdc++-v3/testsuite/ext/mt_allocator/instantiate.cc
    trunk/libstdc++-v3/testsuite/ext/pool_allocator/instantiate.cc
    trunk/libstdc++-v3/testsuite/ext/slist/instantiate.cc
    trunk/libstdc++-v3/testsuite/ext/stdio_filebuf/char/1.cc
    trunk/libstdc++-v3/testsuite/ext/vstring/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/memory/enable_shared_from_this/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/memory/shared_ptr/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/tr1/2_general_utilities/memory/weak_ptr/explicit_instantiation/
    trunk/libstdc++-v3/testsuite/tr1/5_numerical_facilities/random/discard_block/requirements/requirements.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/array/requirements/instantiate.cc
    trunk/libstdc++-v3/testsuite/tr1/6_containers/unordered/
Modified:
    trunk/libstdc++-v3/ChangeLog
    trunk/libstdc++-v3/testsuite/24_iterators/reverse_iterator/2.cc
    trunk/libstdc++-v3/testsuite/ext/headers.cc

Comment 14 paolo@gcc.gnu.org 2007-02-20 21:22:51 UTC
Subject: Bug 28080

Author: paolo
Date: Tue Feb 20 21:22:35 2007
New Revision: 122175

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=122175
Log:
2007-02-20  Paolo Carlini  <pcarlini@suse.de>

	PR libstdc++/28080 (partial)
	* include/tr1/functional: Split out hash bits to...
	* include/tr1/functional_hash.h: ...here.
	* include/Makefile.am: Add.
	* include/tr1/unordered_set: Include the latter instead.
	* include/tr1/unordered_map: Likewise.
	* include/tr1/random: Do not include the whole <algorithm>,
	stl_algobase.h is enough.
	* include/tr1/memory: Likewise.
	* include/Makefile.in: Regenerate.

	* include/tr1/utility (get(std::pair<>&), get(const std::pair<>&)):
	Mark inline.

Added:
    trunk/libstdc++-v3/include/tr1/functional_hash.h
Modified:
    trunk/libstdc++-v3/ChangeLog
    trunk/libstdc++-v3/include/Makefile.am
    trunk/libstdc++-v3/include/Makefile.in
    trunk/libstdc++-v3/include/tr1/functional
    trunk/libstdc++-v3/include/tr1/memory
    trunk/libstdc++-v3/include/tr1/random
    trunk/libstdc++-v3/include/tr1/unordered_map
    trunk/libstdc++-v3/include/tr1/unordered_set
    trunk/libstdc++-v3/include/tr1/utility

Comment 15 Paolo Carlini 2007-02-24 10:15:09 UTC
*** Bug 30945 has been marked as a duplicate of this bug. ***
Comment 16 paolo@gcc.gnu.org 2007-02-26 09:36:51 UTC
Subject: Bug 28080

Author: paolo
Date: Mon Feb 26 09:36:39 2007
New Revision: 122329

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=122329
Log:
2007-02-26  Paolo Carlini  <pcarlini@suse.de>

	PR libstdc++/28080 (partial)
	* include/std/bitset: Do not include <istream> and <ostream>,
	<ios> is enough.
	* include/std/iomanip: Do not include the whole <istream>,
	<ios> is enough; do not include <functional>; reformat.
	* include/std/functional: Do not include <cstddef>.
	* include/std/list: Do not include <bits/stl_uninitialized.h>.
	* include/std/numeric: Do not include the whole <iterator> and
	<bits/stl_function.h>.
	* include/std/valarray: Do not include <numeric>.
	* include/bits/stl_numeric.h: Include <bits/concept_check.h>.
	* src/iostream-inst.cc: Include <istream>.
	* include/ext/functional: Include <cstddef>.
	* testsuite/util/testsuite_hooks.h: Do not include <locale>,
	<ctime> is enough; qualify tm.
	* testsuite/util/testsuite_hooks.cc: Qualify tm.

2007-02-26  Paolo Carlini  <pcarlini@suse.de>

	* include/bits/locale_facets.h (class ctype_byname<char>,
	class ctype_byname<wchar_t>): Declare.
	* src/ctype.cc (ctype_byname<wchar_t>::ctype_byname(const char*,
	size_t), ctype_byname<wchar_t>::~ctype_byname): Define.
	* config/locale/generic/ctype_members.cc (ctype_byname<char>::
	ctype_byname(const char*, size_t), ctype_byname<char>::~ctype_byname):
	Likewise.
	* config/locale/gnu/ctype_members.cc (ctype_byname<char>::
	ctype_byname(const char*, size_t), ctype_byname<char>::~ctype_byname):
	Likewise.
	* config/locale/darwin/ctype_members.cc (ctype_byname<char>::
	ctype_byname(const char*, size_t), ctype_byname<char>::~ctype_byname):
	Likewise.
	* testsuite/22_locale/headers/locale/synopsis.cc: Remove xfail.

Modified:
    trunk/libstdc++-v3/ChangeLog
    trunk/libstdc++-v3/config/locale/darwin/ctype_members.cc
    trunk/libstdc++-v3/config/locale/generic/ctype_members.cc
    trunk/libstdc++-v3/config/locale/gnu/ctype_members.cc
    trunk/libstdc++-v3/include/bits/locale_facets.h
    trunk/libstdc++-v3/include/bits/stl_numeric.h
    trunk/libstdc++-v3/include/ext/functional
    trunk/libstdc++-v3/include/std/bitset
    trunk/libstdc++-v3/include/std/functional
    trunk/libstdc++-v3/include/std/iomanip
    trunk/libstdc++-v3/include/std/list
    trunk/libstdc++-v3/include/std/numeric
    trunk/libstdc++-v3/include/std/valarray
    trunk/libstdc++-v3/src/ctype.cc
    trunk/libstdc++-v3/src/iostream-inst.cc
    trunk/libstdc++-v3/testsuite/22_locale/headers/locale/synopsis.cc
    trunk/libstdc++-v3/testsuite/util/testsuite_hooks.cc
    trunk/libstdc++-v3/testsuite/util/testsuite_hooks.h

Comment 17 paolo@gcc.gnu.org 2007-02-27 17:48:24 UTC
Subject: Bug 28080

Author: paolo
Date: Tue Feb 27 17:48:09 2007
New Revision: 122380

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=122380
Log:
2007-02-27  Paolo Carlini  <pcarlini@suse.de>

	PR libstdc++/28080 (partial)
	* include/std/bitset: Do not include <ios>, <iosfwd> is enough.
	(operator>>(std::basic_istream<>&, bitset<>&)): Tweak, refer to
	ios_base as a base of basic_istream.
	* include/std/iomanip: Do not include <ios>, <iosfwd> + 
	<bits/ios_base.h> is enough.
	* include/std/iosfwd: Do not include <cctype> here...
	* include/bits/locale_facets.h: ... do it here, when needed.
	* include/bits/ostream.tcc: Clean up, do not include <locale> here...
	* include/std/ostream: ... here instead.
	* include/bits/istream.tcc: Likewise for <locale> and <ostream>...
	* include/std/istream: ... here.
	* include/bits/sstream.tcc: Do not include <sstream>.

Modified:
    trunk/libstdc++-v3/ChangeLog
    trunk/libstdc++-v3/include/bits/istream.tcc
    trunk/libstdc++-v3/include/bits/locale_facets.h
    trunk/libstdc++-v3/include/bits/ostream.tcc
    trunk/libstdc++-v3/include/bits/sstream.tcc
    trunk/libstdc++-v3/include/std/bitset
    trunk/libstdc++-v3/include/std/iomanip
    trunk/libstdc++-v3/include/std/iosfwd
    trunk/libstdc++-v3/include/std/istream
    trunk/libstdc++-v3/include/std/ostream

Comment 18 paolo@gcc.gnu.org 2007-03-02 16:21:49 UTC
Subject: Bug 28080

Author: paolo
Date: Fri Mar  2 16:21:30 2007
New Revision: 122478

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=122478
Log:
2007-03-02  Paolo Carlini  <pcarlini@suse.de>

	* testsuite/thread/pthread1.cc: Include <pthread.h>.
	* testsuite/thread/pthread2.cc: Likewise.
	* testsuite/thread/pthread3.cc: Likewise.
	* testsuite/thread/pthread4.cc: Likewise.
	* testsuite/thread/pthread5.cc: Likewise.
	* testsuite/thread/pthread6.cc: Likewise.
	* testsuite/thread/pthread7-rope.cc: Likewise.

2007-03-02  Paolo Carlini  <pcarlini@suse.de>

	PR libstdc++/28080 (partial)
	* include/tr1/random (class random_device): Rework to use simple
	<cstdio> input, do not include <fstream>.
	* include/tr1/random.tcc (all inserters and extractors): Refer
	to ios_base as base class of basic_istream or basic_ostream.

Modified:
    trunk/libstdc++-v3/ChangeLog
    trunk/libstdc++-v3/include/tr1/random
    trunk/libstdc++-v3/include/tr1/random.tcc
    trunk/libstdc++-v3/testsuite/thread/pthread1.cc
    trunk/libstdc++-v3/testsuite/thread/pthread2.cc
    trunk/libstdc++-v3/testsuite/thread/pthread3.cc
    trunk/libstdc++-v3/testsuite/thread/pthread4.cc
    trunk/libstdc++-v3/testsuite/thread/pthread5.cc
    trunk/libstdc++-v3/testsuite/thread/pthread6.cc
    trunk/libstdc++-v3/testsuite/thread/pthread7-rope.cc

Comment 19 paolo@gcc.gnu.org 2007-03-03 10:29:26 UTC
Subject: Bug 28080

Author: paolo
Date: Sat Mar  3 10:29:14 2007
New Revision: 122502

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=122502
Log:
2007-03-03  Paolo Carlini  <pcarlini@suse.de>

	PR libstdc++/28080 (partial)
	* include/bits/stl_algobase.h: Do not include <iosfwd>,
	<bits/functexcept.h> is enough; adjust __copy_aux declarations;
	remove declaration of copy overload for istreambuf_iterator /
	ostreambuf_iterator.
	* src/debug.cc: Include <cstdio>.
	* include/ext/rope: Include <iosfwd>.
	* include/bits/char_traits.h: Include <cstdio> and <cwchar>.
	* include/bits/stl_algo.h: Remove declaration of find overload
	for istreambuf_iterator.
	* include/std/queue: Clean up includes.
	* include/std/stack: Likewise.
	* include/std/memory: Likewise.
	* include/std/algorithm: Likewise.
	* include/std/vector: Likewise.
	* include/std/deque: Likewise.
	* include/std/list: Likewise.
	* include/bits/stl_tree.h: Likewise.
	* testsuite/ext/type_traits/remove_unsigned_integer_neg.cc: Adjust
	dg-error markers.
	* testsuite/ext/type_traits/add_unsigned_floating_neg.cc: Likewise.
	* testsuite/ext/type_traits/remove_unsigned_floating_neg.cc: Likewise.
	* testsuite/ext/type_traits/add_unsigned_integer_neg.cc: Likewise.
	* testsuite/23_containers/set/operators/1_neg.cc: Likewise.
	* testsuite/23_containers/map/operators/1_neg.cc: Likewise.
	* testsuite/20_util/auto_ptr/assign_neg.cc: Likewise.

	* include/ext/type_traits.h: Fix type of __max_digits10; clean up
	includes.

	* testsuite/util/testsuite_hooks.h: Do not include <cstddef>.
	* testsuite/util/testsuite_hooks.cc: Do it here.

Modified:
    trunk/libstdc++-v3/ChangeLog
    trunk/libstdc++-v3/include/bits/char_traits.h
    trunk/libstdc++-v3/include/bits/stl_algo.h
    trunk/libstdc++-v3/include/bits/stl_algobase.h
    trunk/libstdc++-v3/include/bits/stl_tree.h
    trunk/libstdc++-v3/include/ext/rope
    trunk/libstdc++-v3/include/ext/type_traits.h
    trunk/libstdc++-v3/include/std/algorithm
    trunk/libstdc++-v3/include/std/deque
    trunk/libstdc++-v3/include/std/list
    trunk/libstdc++-v3/include/std/memory
    trunk/libstdc++-v3/include/std/queue
    trunk/libstdc++-v3/include/std/stack
    trunk/libstdc++-v3/include/std/vector
    trunk/libstdc++-v3/src/debug.cc
    trunk/libstdc++-v3/testsuite/20_util/auto_ptr/assign_neg.cc
    trunk/libstdc++-v3/testsuite/23_containers/map/operators/1_neg.cc
    trunk/libstdc++-v3/testsuite/23_containers/set/operators/1_neg.cc
    trunk/libstdc++-v3/testsuite/ext/type_traits/add_unsigned_floating_neg.cc
    trunk/libstdc++-v3/testsuite/ext/type_traits/add_unsigned_integer_neg.cc
    trunk/libstdc++-v3/testsuite/ext/type_traits/remove_unsigned_floating_neg.cc
    trunk/libstdc++-v3/testsuite/ext/type_traits/remove_unsigned_integer_neg.cc
    trunk/libstdc++-v3/testsuite/util/testsuite_hooks.cc
    trunk/libstdc++-v3/testsuite/util/testsuite_hooks.h

Comment 20 paolo@gcc.gnu.org 2007-03-04 00:20:38 UTC
Subject: Bug 28080

Author: paolo
Date: Sun Mar  4 00:20:26 2007
New Revision: 122518

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=122518
Log:
2007-03-03  Paolo Carlini  <pcarlini@suse.de>

	PR libstdc++/28080 (partial)
	* include/tr1/functional: Split out hash bits to...
	* include/tr1/functional_hash.h: ...here.
	* include/Makefile.am: Add.
	* include/tr1/unordered_set: Include the latter instead.
	* include/tr1/unordered_map: Likewise.
	* include/Makefile.in: Regenerate.

	* include/tr1/utility (get(std::pair<>&), get(const std::pair<>&)):
	Mark inline.

Modified:
    branches/gcc-4_2-branch/libstdc++-v3/ChangeLog
    branches/gcc-4_2-branch/libstdc++-v3/include/Makefile.am
    branches/gcc-4_2-branch/libstdc++-v3/include/Makefile.in
    branches/gcc-4_2-branch/libstdc++-v3/include/tr1/functional
    branches/gcc-4_2-branch/libstdc++-v3/include/tr1/unordered_map
    branches/gcc-4_2-branch/libstdc++-v3/include/tr1/unordered_set
    branches/gcc-4_2-branch/libstdc++-v3/include/tr1/utility

Comment 21 paolo@gcc.gnu.org 2007-03-04 00:23:33 UTC
Subject: Bug 28080

Author: paolo
Date: Sun Mar  4 00:23:23 2007
New Revision: 122519

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=122519
Log:
2007-03-03  Paolo Carlini  <pcarlini@suse.de>

	PR libstdc++/28080 (partial)
	* include/tr1/functional: Split out hash bits to...
	* include/tr1/functional_hash.h: ...here.
	* include/Makefile.am: Add.
	* include/tr1/unordered_set: Include the latter instead.
	* include/tr1/unordered_map: Likewise.
	* include/Makefile.in: Regenerate.

	* include/tr1/utility (get(std::pair<>&), get(const std::pair<>&)):
	Mark inline.

Added:
    branches/gcc-4_2-branch/libstdc++-v3/include/tr1/functional_hash.h

Comment 22 paolo@gcc.gnu.org 2007-03-06 17:43:43 UTC
Subject: Bug 28080

Author: paolo
Date: Tue Mar  6 17:43:27 2007
New Revision: 122628

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=122628
Log:
2007-03-06  Paolo Carlini  <pcarlini@suse.de>

	PR libstdc++/28080 (partial)
	* include/bits/stl_algobase.h: Do not include <cstdlib>.
	* src/localename.cc: Do it here.
	* src/ctype.cc: Likewise.
	* include/ext/pb_ds/detail/map_debug_base.hpp: Likewise.
	* include/ext/pb_ds/exception.hpp: Likewise.
	* include/ext/pb_ds/list_update_policy.hpp: Likewise.
	* include/bits/stl_algo.h: Likewise.
	* include/tr1/random: Likewise.
	* testsuite/util/testsuite_hooks.cc: Likewise.
	* testsuite/util/testsuite_abi_check.cc: Likewise.
	* testsuite/util/testsuite_abi.cc: Likewise.
	* testsuite/util/performance/assoc/timing/
	tree_order_statistics_test.hpp: Likewise.
	* config/locale/darwin/ctype_members.cc: Likewise.
	* config/locale/gnu/c++locale_internal.h: Likewise.
	* config/locale/generic/ctype_members.cc: Likewise.
	* config/locale/generic/time_members.cc: Likewise.

	* include/ext/pb_ds/detail/resize_policy/
	hash_load_check_resize_trigger_imp.hpp: Qualify abort.
	* testsuite/util/performance/assoc/timing/
	multimap_find_test.hpp: Likewise.
	* include/std/valarray: Do include <cstdlib>.
	* include/tr1/hashtable: Likewise.

Modified:
    trunk/libstdc++-v3/ChangeLog
    trunk/libstdc++-v3/config/locale/darwin/ctype_members.cc
    trunk/libstdc++-v3/config/locale/generic/ctype_members.cc
    trunk/libstdc++-v3/config/locale/generic/time_members.cc
    trunk/libstdc++-v3/config/locale/gnu/c++locale_internal.h
    trunk/libstdc++-v3/include/bits/stl_algo.h
    trunk/libstdc++-v3/include/bits/stl_algobase.h
    trunk/libstdc++-v3/include/ext/pb_ds/detail/map_debug_base.hpp
    trunk/libstdc++-v3/include/ext/pb_ds/detail/resize_policy/hash_load_check_resize_trigger_imp.hpp
    trunk/libstdc++-v3/include/ext/pb_ds/exception.hpp
    trunk/libstdc++-v3/include/ext/pb_ds/list_update_policy.hpp
    trunk/libstdc++-v3/include/std/valarray
    trunk/libstdc++-v3/include/tr1/hashtable
    trunk/libstdc++-v3/include/tr1/random
    trunk/libstdc++-v3/src/ctype.cc
    trunk/libstdc++-v3/src/localename.cc
    trunk/libstdc++-v3/testsuite/util/performance/assoc/timing/multimap_find_test.hpp
    trunk/libstdc++-v3/testsuite/util/performance/assoc/timing/tree_order_statistics_test.hpp
    trunk/libstdc++-v3/testsuite/util/testsuite_abi.cc
    trunk/libstdc++-v3/testsuite/util/testsuite_abi_check.cc
    trunk/libstdc++-v3/testsuite/util/testsuite_hooks.cc

Comment 23 paolo@gcc.gnu.org 2007-03-07 22:59:35 UTC
Subject: Bug 28080

Author: paolo
Date: Wed Mar  7 22:59:24 2007
New Revision: 122676

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=122676
Log:
2007-03-06  Paolo Carlini  <pcarlini@suse.de>

	PR libstdc++/28080 (partial)
	* include/tr1/random (class random_device): Rework to use simple
	<cstdio> input, do not include <fstream>.
	* include/tr1/random.tcc (all inserters and extractors): Refer
	to ios_base as base class of basic_istream or basic_ostream.

Modified:
    branches/gcc-4_2-branch/libstdc++-v3/ChangeLog
    branches/gcc-4_2-branch/libstdc++-v3/include/tr1/random
    branches/gcc-4_2-branch/libstdc++-v3/include/tr1/random.tcc

Comment 24 paolo@gcc.gnu.org 2007-03-10 20:29:59 UTC
Subject: Bug 28080

Author: paolo
Date: Sat Mar 10 20:29:45 2007
New Revision: 122805

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=122805
Log:
2007-03-10  Paolo Carlini  <pcarlini@suse.de>

	PR libstdc++/28080 (partial)
	* include/std/memory: Move C++03 implementation...
	* include/bits/stl_memory.h: ... here, new.
	* include/Makefile.am: Add.
	* include/bits/stl_tempbuf.h: Include the latter instead.
	* include/tr1/hashtable: Include allocator.h instead of
	the whole <memory>.
	* include/tr1/hashtable_policy.h: Include stl_function.h
	instead of <functional>.
	* include/Makefile.in: Regenerate.
	* testsuite/20_util/auto_ptr/assign_neg.cc: Adjust dg-error
	line numbers.

Added:
    trunk/libstdc++-v3/include/bits/stl_memory.h
Modified:
    trunk/libstdc++-v3/ChangeLog
    trunk/libstdc++-v3/include/Makefile.am
    trunk/libstdc++-v3/include/Makefile.in
    trunk/libstdc++-v3/include/bits/stl_tempbuf.h
    trunk/libstdc++-v3/include/std/memory
    trunk/libstdc++-v3/include/tr1/hashtable
    trunk/libstdc++-v3/include/tr1/hashtable_policy.h
    trunk/libstdc++-v3/testsuite/20_util/auto_ptr/assign_neg.cc

Comment 25 paolo@gcc.gnu.org 2007-03-11 12:03:49 UTC
Subject: Bug 28080

Author: paolo
Date: Sun Mar 11 12:03:34 2007
New Revision: 122818

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=122818
Log:
2007-03-11  Paolo Carlini  <pcarlini@suse.de>

	PR libstdc++/28080 (final)
	* include/std/iosfwd: Do not include <bits/c++io.h>.
	* config/io/basic_file_stdio.h: Do it here.
	* include/ext/stdio_sync_filebuf.h: Likewise.
	* include/ext/rope: Include <bits/gthr.h> unconditionally.
	* include/std/fstream: Do not include <bits/gthr.h>.
	
	* include/std/ios: Do not include <cstdio>.
	* include/bits/ios_base.h: Do it here.
	* testsuite/27_io/ios_base/cons/assign_neg.cc: Adjust dg-error
	line numbers.
	* testsuite/27_io/ios_base/cons/copy_neg.cc: Likewise.

Modified:
    trunk/libstdc++-v3/ChangeLog
    trunk/libstdc++-v3/config/io/basic_file_stdio.h
    trunk/libstdc++-v3/include/bits/ios_base.h
    trunk/libstdc++-v3/include/ext/rope
    trunk/libstdc++-v3/include/ext/stdio_sync_filebuf.h
    trunk/libstdc++-v3/include/std/fstream
    trunk/libstdc++-v3/include/std/ios
    trunk/libstdc++-v3/include/std/iosfwd
    trunk/libstdc++-v3/testsuite/27_io/ios_base/cons/assign_neg.cc
    trunk/libstdc++-v3/testsuite/27_io/ios_base/cons/copy_neg.cc

Comment 26 Paolo Carlini 2007-03-11 12:07:47 UTC
Now, for example, the preprocessed <memory> is about 100 KB smaller and there are noticeable improvements eveywhere (containers, streams, etc.). Also, thanks to variadic templates the compile-time performance and preprocessed header size for  <tr1/tuple> and <tr1/functional> are hugely better than in 4_2-branch. I think we can consider this issue solved and further improvements considered proper enhancements not bug fixes.